What is VideoCharge Studio?

VideoCharge Studio is a video editor which is intended for video creation and editing, drawing watermarks, improving video quality by applying filters, creation of WEB video-sites, video batch processing, montage and many other things.

Work with files.

VideoCharge Studio supports work with all main video formats which exist nowadays. The program allows you to create video of WMV, AVI, MPEG, MOV, FLV, SWF, MP4, 3GP, 3G2, MKV formats. VideoCharge Studio also works with all main graphic formats.

The program has a large number of features for creation of video and graphic files. You can create several video files of different formats based on one video file; cut frames out of the video and save them as graphic files or simply process a sequence of graphic files. VideoCharge Studio provides an ability to create video files and graphic files (thumbnails are created from the first or another specified frame) for them at the same time.

The program is optimized for the work with a large number of files: it can process folders with files.

The program allows you to edit video in "Without - Recompression" mode that means that video will be processed within seconds and 100% of video quality will be saved.

The program allows you to name files or directories applying templates, so it is possible to use formatting while creating file names.

The program allows you to create Image List that is a graphic file which displays several frames from the video file in table form and contains meta information about the video file, such as file name, size, duration and so on.

Creation of watermarks.

VideoCharge Studio is oriented on creation of video with watermarks and includes powerful work on drawing watermarks on each frame of video or graphic file.

You can create any watermark based on a graphic file or text. It is possible to set time for watermark display. It is a time range when watermark will be drawn on the frame. You can set one time range or specify an algorithm of watermark appearance on the frame (for example, randomly appearance) or use SRT file for reading exact information about time of watermark appearance/disappearance and what kind of text should be drawn (add subtitles directly into the video).

There is an ability to set method of watermark appearance/disappearance, use text from a text file to display in the video, set vector of watermark moving throughout the frame while video playing, apply different effects such as shadow, extrusion, embossment, turn watermark through any angle, duplicate watermark through the entire frame (tile effect) and many other things.

You can use an animated image (GIF file) or any video file as a watermark.

Using Without-Recompression mode, you can add a watermark to video in a wink in case when this watermark should be displayed at a small video fragment.

Edit and correct image.

VideoCharge Studio includes a powerful set of filters for image correction and a convenient mechanism for setting filter parameters.

The program allows you to change video or image scale without losing their quality, set aspect ratio, overturn video or image, CROP, apply auto contrast, auto level, set gamma, contrast, edit color balance, edit colors.

Upon that all corrections of the image and CROP can be applied both to a single file or a group of files.

VideoCharge Studio allows you to blur a part of an image or add pixelization. At the same time you can blur any object moving throughout the frame, for example, personage's eyes. To do that, it is enough to preliminary play the video and save blur movement.

Video edition.

VideoCharge Studio is a video editor and includes a wide range of abilities for video edition and montage.

You can split video file into several parts by time or specified number of parts. It is also possible to join several video files and set switches between them. You can create video file on the base of graphic files sequence plus an audio file; cut a scene or scenes out of the video file and save them as separate video files; remove a scene or scenes from the video file; embed a video clip into a sequence of video files; add an audio file over the existed one (e.g. add background sound) or change video file's sound; embed and image into the video file and set time for its display.

All edit operations can be combined with usage of Without-Recompression mode. In this case you can save 100% of original video quality and perform the operation within minutes.

Additional abilities to create files for WEB.

VideoCharge Studio is a program for WEB masters and it includes functionalities for generation of HTML pages with created video or graphic files displayed on them.

The program allows you to cut frames out of the video file, save them as graphic files, distribute files into directories and, using your HTML template, generate necessary number of pages to view graphic files via the Internet. By analogy, while creating video files, the program will create a video file, thumbnails for it and an HTML page to view this file via the Internet. The program includes variables that allow you to create site of any complication.

VideoCharge Studio allows you to create HTML pages to view video using FLASH player or any other player applied by the user.

The program also includes FTP client which allows you to upload all created files on your FTP server.

Preliminary work with files which will be created.

VideoCharge Studio provides an ability to view all video files which will be created and edit them. It can be used to speed up the process of creation of video galleries. This is achieved by an ability to delete unnecessary files from the list of generated files and select the most successful frames for Thumbnails.

Upon processing a large number of files different by their quality, you can correct image for each file separately or all at once; set CROP and also draw different watermarks for different files.

Interaction with the program.

VideoCharge Studio is a fully functional editor which includes user interface to perform professional tasks. The program allows you to play video files, preview results, perform montage operations, correct an image, set watermarks, apply CROP and do many other things.

VideoCharge Studio also includes a Wizard which helps you to perform main program operations quick and easy. Upon using the Wizard it is not necessary to know how to work with video files or with the application either.

For quick video processing you can work with the application via the command line.

2007-2009. www.videocharge.com. All rights reserved.


Features

Below there is a detailed list of features provided by VideoCharge Studio 2.0

Work with files:
  1. Convert video from one format to another, change video compression or audio stream parameters.

    Creation of Video files.

  2. Create video of the same format as the original file has. Using this format, file of the same format will be created keeping video and audio settings.

    How to process a video avoiding changing file format?

  3. Process video in Without re-Encoding mode. This mode allows you to save 100% of video quality and edit video file very quickly.

    How to process video without re-encoding?

  4. Process video files of all main formats, including work with DVD and VOB files.

    Working with files...

  5. Process directories with files.

    Work with directory of files...

  6. Create graphic files of all main formats.

    Creation of graphic files.

  7. Create several video files of different formats or with different parameters on the base of one original file for one generation.

    How to create several video files?

  8. Extract frames from the video files and save them as graphic files. You can create several graphic files of different formats on the base of one frame.

    How to extract frames from Video File?

  9. Create a video and several graphic files (Thumbnails) for it all at once.

    How to create thumbnails for video?

  10. Create Image List: a graphic file which contains several frames from the video file organized as a table with added file's metadata: its size, duration, name, etc.

    How to create Image List?

  11. Create name for new file and directory using templates. It allows user to use formatting while creating file names.

    How to set a output file name?

  12. Create video of high quality using double pass coding.

    How to use double pass?

  13. Create one video clip and several thumbnails for it from well distributed frames. For example, you can create a video clip of 1 minute duration and six Thumbnails from the following frames: 1, 10s,, 60s.

    How to automatically create several thumbnails for video file?

  14. Set metadata for video files. You can set metadata without decoding/coding the whole file.

    How to add MetaData to Video?
Create watermarks:
  1. Draw watermarks on a frame of the video file or in the graphic file.

    How to add watermark to video or graphic file?

  2. Set time range for watermark display in the video. Watermark can be displayed one time at a specified place in the video file, several times with specified display time and delay between displays, randomly or using SRT file: this is a file which contains information about display time, text, and the end time of watermark display.

    How to set a timeline for a watermark?

  3. Set smooth watermark appearance/disappearance (Fade In/Fade Out).

    How to set watermark type of appearance/disappearance?

  4. Record subtitles from SRT file directly to the video file.

    How to create a text watermark on the base of SRT file?

  5. Record DVD subtitles directly to the video file.

    How to draw DVD subtitles in video frames?

  6. Set vector of watermark moving throughout the frame while video playing.

    How to move a watermark throughout a frame??

  7. Manually record watermark moving throughout the frame: you can preliminary review video file and save watermark motion path.

    How to record watermark moving?

  8. Apply effects to the watermarks: shadow effect, embo,ssment, skew, scale and so on.

    How to apply an effect to a watermark?

  9. Apply gradient or BITMAP file to draw a text watermark.

    How to set a color of a text watermark?

  10. Create several watermarks all at once.

    Create several watermarks all at once.

  11. Text for the text watermark can be taken out from a text file. If the text file has several lines, they can be displayed gradually with a specified delay or each line will be displayed in a new created file.

    How to use a text files as a source for a text watermark?

  12. Specify watermark background.

    Specify watermark background.

  13. Create watermark on the base of Animations of GIF images.

  14. Create watermarks instantly. If watermark shouldn't appear while playing the whole file, you can use Without re-Encoding mode. In this case, only those frames which should have drawn watermarks will be decoded/coded. This will increase speed of video file processing.

    How to quickly add a watermark to a video file?

  15. Draw files metadata (name, resolution, date of creation), time, etc. in the video frame.

    How to use variable while drawing a text watermark?

  16. Draw rectangles and ellipses.

  17. Duplicate watermarks throughout the whole frame (tile effect).

    How to apply a tile effect?
Edit and correct image:
  1. Resize video or image using different algorithm: Bilinear, Bicubic, Lanczos3, Lanczos8.

    How to resize a video file?

  2. Set aspect ratio for video files.

    How to set aspect ratio for a video file?

  3. Apply CROP.

    How to apply CROP to video file?

  4. Apply filters for image correction, including auto-contrast, auto-level, sharpness, blur and so on.

    How to apply filters?

  5. Solve Interlace DVD problem with the help of de-Interlace filter.

    How to work with interlace Video?

  6. Blur some part of the image or apply pixelization. You can add pixelization to any moved element in the video file.

    How to blur area or apply pixelization?

  7. Delete artifacts from the video file.

    How to delete artifact from video file?
Edit video:
  1. Cut specified scene or scenes out of the video file.

    How to set timeline of video file?

  2. Split video into several parts by time or according to specified number of parts.

    How to split a video file?

  3. Join several video files into a single one.

    How to join several video files into one?

  4. Join several graphic files into a single video file.

    How to join several graphic files into a video file?

  5. Add background music to the video file or change existed audio stream.

    How to change original sound of a video file?

  6. Apply switches between scenes upon joining video files.

    How to create a switch between scenes?

  7. Embed video titles or a simple image to the video file.

    How to embed a video clip or image to a video file or a sequence of video files?

  8. Cut scenes out of the video file.

    How to cut a scene out of a video file?
Extra features for creation of files for WEB:
  1. Create WEB sites on the base of your HTML Template and graphic/video files.

    How to create WEB site to view video file?

  2. Create index pages for video galleries.

    How to create index page?

  3. Preliminary view video files and distribute them and their Thumbnails among groups.

    More...

  4. Upload created files on your FTP server using provided FTP Client.

    How to upload files to FTP server?

Preliminary work with files which will be created:
  1. Sort created video files by the name, date, randomly or evenly (if created files are grouped by ten elements, they will be sorted as the following: first group will have the first and the last elements, second group - the second and the second to the last elements and so on).

  2. Preview files which will be created, delete unnecessary or add additional files: for example, if it is necessary to cut several scenes out of the video file.

    Working with editor...

  3. Distribute created files before generation. Using along with WEB galleries, it is possible to preliminary distribute files among groups as you need.

  4. Preview and select the most successful Thumbnails for the video file.

  5. Set file coding parameters both for each file separately and for group of files.
Interaction with the program:
  1. Solve professional tasks of video edition applying the user interface.

  2. Work with the application via the command line.

    How to work with VideoCharge Studio via command line...

  3. Use Wizard for more convenient work with the application.

  4. Protect from unexpected completion of the files processing: it is possible to continue your work from the point of termination.


System Requirements

  • Windows ME, Windows NT 4.0, Windows 2000, Windows XP, Windows Vista
  • 64MB RAM (128MB recommended)
  • 30MB of free hard disk space
  • 800x600 screen resolution
  • DirectX 8.1 or higher
  • Installed codecs for media formats you are going to work with

If you use the program to work with MOV files, we recommended you to install QuickTime Player.

If you work with AVI files that are encoded with DivX or xVid codec, we recommend you to install K-Lite Codec Pack.


Install and Uninstall

To install VideoCharge Studio application on your computer, complete the following steps:
  1. Download the VideoCharge Studio file from our site to your hard disk.

  2. Double-click the VideoChargeStudio_Install.exe file on your hard disk to begin the installation.

  3. Follow the instructions on the screen to complete the installation.

To uninstall VideoCharge Studio application from your computer, complete the following steps:
  1. Open Start -> Settings -> Control Panel.

  2. Select Add/Remove Programs.

  3. Select VideoCharge Studio from the list.

  4. Click Add/Remove.

Read about the system requirements and codecs you may need to install for the program to work properly.


Registration

After purchasing a license for VideoCharge Studio, you will receive a personal Serial Number by e-mail. The Serial Number has the following format:

XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XXXXXX

Load VideoCharge Studio, on splash screen click "Registration". In the opened "Activation" dialog window enter your personal info and click "Next". Now enter your Serial Number in the corresponding field.

Attention!

If your computer is connected to the Internet, simply click "Next". The activation will complete automatically and you'll see the message "You have successfully registered VideoCharge Studio!". If the automatic activation fails due to some reason, you can activate the program by entering a valid Activation Key as described below.

If your computer is not connected to the Internet, uncheck "Auto-activation via the Internet" and click "Next". You will be asked to enter an Activation Key.

To get a proper Activation Key, copy your Installation Code (it is under the field where you entered your Serial Number on the previous step), go to our site and paste the Installation Code to the "Installation Code" field there. Then copy your Serial Number, go again to our site and paste the Serial Number to the "Serial Number" field. Now click "Continue". In case of success, you will receive your Activation Key by e-mail. The Activation Key has the following format:

XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XXXX-XXXX

Enter your Activation Key in the corresponding field of the "Activation" dialog window and click "Next". Once the activation is complete, you'll be shown the message "You have successfully registered VideoCharge Studio!".

If the activation fails by some reason, ask our support team for help.


First Steps

VideoCharge Studio is a universal application which covers all aspects of web master activities while working with video. It allows user to draw watermarks in the video or image, edit video: split video into several parts, cut some scenes out, join several video files into one file, perform video montage, create Thumbnails for video file and HTML pages to display video in the Internet, work via the command line and many other operations. But such universalism has its own negative sides. For beginners it may seem too difficult to work with VideoCharge Studio.

The program includes Wizard which makes easy your first step in the application. The Wizard covers all aspects of the program usage, but as any Wizard it doesn't allow you to completely use all functionalities of the program. That this why this article describing main principals of the work with the application can be useful for you.

Workspace Tree

The first control element you should pay attention to is the "Workspace" Tree:

Generally, if you are going to use the application as a video convertor, it is enough for you to work with this tree only. "Workspace" tree allows you to specify files which will be processed, folder where files will be saved to, how to save the results of conversion, set coding parameters for video and audio and do many other things.

It includes a range of elements (nodes). Double click on such node opens a window with node's properties you can specify.
  1. Project

    It is a root element. It just allows you to set a directory where the results will be saved to.

    This parameter is not obligatory. For every particular created file this parameter can be set and changed separately.

    See also: Setting directories and names for created files.

    You can also specify FTP server where it is necessary to upload files to.

  2. Output Files

    This element is intended to set common parameters for work with video files.

    While working with video files, you would want to automatically split initial file into several parts: by time, by number of parts.

    At the same time if you create a video file, the program automatically create several video files according to every part, if you create a graphic file, the program will output graphic files on the base of the first frame of every part.

    See also: Split Video File.

  3. Output format

    It is situated under Output Files. You have to specify at least one Output format or as many as you need. Output format name describes what type of file will be created (video or image), file format and some settings.

    For Video:

    See also: Creation of Video files.

    For Image:

    See also: Creation of graphic files.

    This parameter sets which file should be created: video or graphic, and saves all settings. You can go to a corresponding part of the window and specify video coding type, parameters of audio compression and so on.

  4. Web

    VideoCharge Studio allows you to create HTML pages to display video in the Internet. Double click on this node will turn on/off this function.

    Your HTML pages can contain links to CSS files or/and graphic files. Select Files tab to be able to select all necessary files which should be copied to directory with generated HTML pages.

  5. HTML page

    Generated HTML pages are based on your HTML template which you can set by click on the corresponding item: e.g. Page1.

    You should also specify which of the created files will be displayed on the page, select Thumbnails which will be visible. It is also possible to create HTML pages contained only graphic files. In order to specify what will be displayed on the page, select Add Image or Add Video.

    Within the appeared window you can select a graphic format which will be used for creation of Thumbnails, video format, and also how many elements should be represented on the page.

    The number of pages which will be created directly depends on the number of created video or graphic files. For example, if you have specified to create an HTML page for every single element.

    and you create 6 video files (e.g. by splitting a video file into 6 parts or processing 6 different video files), therefore 6 HTML pages will be created to display each video file. Otherwise

    only one HTML page will be created to display all created files.

    VideoCharge Studio allows you to display video in the Internet using Flash player (likewise youTube):

    As Flash player doesn't support all video formats, you should create video using supported formats. To do so, you can select necessary file format or create a new one:

    See also: Creation of Video files.

  6. Initial files which will be processed are under Input Files node.

    You can add a new file using a corresponding button on the toolbar:

    See also: Adding video files for processing.

    A directory with files:

    See also: Work with directory of files.

    DVD Drive or DVD directory.

    See also: Work with DVD.

Preview

"Preview" section of the main window displays all files which will be created for selected output format. To see the files, it is necessary to select any of output files.
  1. Work with files.

    Besides displaying files which will be created, "Preview" window allows you to edit each element before generation. For example, you can select one or several elements and delete them by press Delete key or click a button on the toolbar.

    There is a contrary way: select elements you want to process

    open menu by mouse right button click and delete all unselected elements:

    This operation allows you to reduce time of video processing by preliminary deleting unnecessary fragments.

    See also: Review of files that are being created.

  2. Set Timeline.

    While working with video format, you can set Timeline for each element. To do so, select an element in the Preview window and set start and end position in the corresponding input fields:

    or do it via the Timeline editor:

    Using mouse, capture one of the boundaries and drag it to the necessary position.

    You can also use the current position of the cursor:

    Position on the necessary frame and using buttons on the toolbar mark this frame as the beginning or the end of your scene.

    See also: Timeline setting.

  3. Timeline editor

    Timeline editor displays a tape of frames from the video. This tape is scalable. You can zoom in/out frames selection using scale controls:

    To do so, use mouse to capture one of the selected area boundaries and increase or decrease its length.

    If you don't want to see the frames, you can disable displaying frames selection

    by simply click on the pictogram.

  4. Extracting several scenes from video.

    If you need to cut several fragments out of one video file, you can do it in the following way: select a necessary element, input new one using COPY/PASTE, and set Timeline for the new element. For all this operations you can use a corresponding button on the toolbar:

  5. Join video files.

    You can join several video files or scenes into one video file. Select necessary files in the "Preview" window and click on a corresponding button on the toolbar:

  6. Work with graphic files.

    While creating images (thumbnails) "Preview" window will display frames which will be the base for future Thumbnails.

    Under every Thumbnails there is a time of the frame which is a base for the thumbnails. You can set this time by typing it in the corresponding input field:

    Or you can use Thumbnails editor and click on the image you prefer:

    You can also use the current cursor position:

    Select the time of the fragment you want to create image from and click on a corresponding button on the toolbar.

  7. Thumbnails Editor.

    Thumbnails editor will display a tape of frames of the video. You can zoom in/out the tape using scale control:

    To do so, use mouse to capture one of the selected area boundaries and increase or decrease its length.

    Thumbnails editor displays all frames from the video allowing you to select the best one. But if you use splitting video into several parts, only frames of the corresponding part are accessible for you to select:

    In order to select a frame just click on the pictogram.

  8. Creation of several thumbnails for video.

    If you need to create several Thumbnails from one video file, you can do it in the following way: select an element for the given file, use COPY/PAST to get a new element and specify time of a frame for it. You can also use a corresponding button on the toolbar:

Filters

"Filters" is a tab of the main window. In this tab you can select filters and apply them to video or graphic file: correct file's color, contrast, increase sharpness or blur of an image. It is possible to apply CROP to an image and so on.
  1. CROP

    CROP is a process of cutting a rectangle area out of an original image. In order to apply CROP, use mouse to capture one of the boundaries and define the necessary rectangle area:

    You can set CROP manually. To do so, select CROP section in the window as it is shown below:

    Click Reset or press Escape to set to nil CROP values.

    See also: CROP.

  2. Image correction

    VideoCharge Studio includes several filters for image correction. They help to change image's parameters.

    Filters are divided into two categories. Filters of the first category have parameters. Filters with parameters are specified in the window as it is shown below:

    Here you can specify Brightness, Contrast, Gamma, Level, Color Balance and correct image color spaces: RGB, YUV, HLS, CMYK, LMS.

    Filters of the second category don't have parameters:

    You can set Auto Color Level, Auto Contrast, Enhance color, Sharpen, Soften, Grayscale, Negative, de-Interlace. To apply one of the mentioned filters it is enough to select it by click on its name:

    For example, Auto Contrast filter is applied to an image.

  3. Apply filters to groups of elements.

    If you process several file, sometimes you need to apply CROP or filters not to all elements, but only to specified files. Of course, you can process these files one by one, but VideoCharge Studio allows you to set parameters both for all files and separated files.

    Before create any changes, set the option:

    If you select "To All" option, all changes will be applied to all files.

    If you select "To selected element" option, all changes will be applied only to the element which is selected at this time.

    If you select "To selected element and below", all changes will be applied to the selected element and the rest elements which are below.

    If you select "For selected FILE only", all changes will be applied to all elements of the selected file only.

    Note: By default an element is a file, but if you split file into parts, each file can contain several elements

  4. Cancel all changes.

    You can cancel all changes made by filters by click a corresponding button on the toolbar:

Watermark

"Watermark tab of the main window allows you to add watermarks to created video or graphic files, blur selected area, add DVD subtitles, and delete artifacts from video file.

To add a watermark to video or graphic file, use a corresponding button on the toolbar:

In order to add a text watermark:

In order to add a graphic watermark on the base of a graphic file:

In order to add a rectangle:

In order to add a ellipse:

In order to specify watermark properties select a watermark by click on it. Watermark properties are set in Properties window:

For a text watermark you can specify text, font, size, display angle, transparency. You can also add special symbols or variables, set watermark fill

For a graphic watermark (on the base of your graphic file) you can also specify size and transparent color.
  1. Watermark position on the screen

    In order to set a necessary position of a watermark on the screen, it is enough for you to drag it to a necessary place by mouse. You can also set these parameters manually using special control:

    This control, except a position, allows you to set a point relatively which a physical position of the watermark is calculated. If you have several files of different height/width, it could be necessary for you to specify this value so the watermark will be displayed in the bottom of the frame at any height/width of the processed video. Select a point relatively which it is necessary to calculate a watermark position:

  2. Timeline

    While working with video files, you can set Timeline for a watermark. Timeline is a time range when a watermark will be visible in a frame.

    For example, it is possible to display a watermark first several seconds of the video file. To do so, use timeline control of Watermark Toolbox.

  3. Effects

    In order to make your watermark look fine, you can apply effects to its displaying. For example, it could be a stroke or a shadow. In order to set an effect select Effect tab in the Watermark Toolbox window, select the necessary effect and specify its properties.

  4. FadeIn/FadeOut

    While adding a watermark to the video file it is possible to do so that watermark doesn't appear immediately but gradually or even disappears.

    To do so, select FadeIn/FadeOut tab in Watermark Toolbox window and specify duration of watermark appearance/disappearance. For example, if Fade In value is equal to 2 seconds, it means that your watermark will be gradually drawn starting from invisible to completely visible state in two seconds. You can also set another type of watermark appearance/disappearance.

  5. Moving

    While adding a watermark to the video file, you can specify how the watermark should move while video is playing. To do so, click on Moving tab in the Watermark Toolbox window and select a type of watermark moving.

    You can just specify a point where your watermark will be moved to and speed of moving.

    It is also possible to record watermark moving by sliding watermark while video is playing.

Montage

In the "Montage" section of the main window it is possible to perform montage operations with video files.

Montage of the video is similar to constructor: every blue strip in the editor defines video or audio stream of created file. You can add any number of video files, graphic files, add new sound, apply effects to video or sound and save all as a graphic file.

To let you understand how Montage of VideoCharge Studio works, we will give you some basic examples which help you to create your own auteur video.

In order to cut a part out of the video file you should do the following:
  1. Set cursor on the necessary fragment:

  2. Click "Split" button:

    After that the selected stream will be divided into to substreams:

  3. Set cursor at the end position of cutting out and click "Split" again:

    You will get three fragments.

  4. Delete the middle fragment and join the first and second parts using the mouse.

    That's all: you have cut out the middle part of the video file.

Addition of video or graphic file.
  1. Supposedly, you want to add a certain video file at the beginning of your future video. To do so, click on the following button:

    and select file you want to embed:

  2. The selected file will be added to the position of your cursor.

    Using the mouse, specify a necessary position for the file:

    That's all: your processed file will be joined the file you have just added. In similar way you can add any graphic file or audio file.
Effects application.

You can apply effect of switching between scenes for two or more files. For this operation use the following menu command:

Within the appeared window, select the necessary effect:

The effect, selected by you, will be added to a position of the cursor and marked as Effect #.

You can move the effect to a necessary position and specify which video stream should be applied to (for this, select a clip for a video stream).

The example in the picture above shows application of the effect of smoothly switching between scene 1 and 2.

While selecting any of the streams, you can edit its Timeline (time range from a video file) using Timeline window:

You can also view files which compose the stream and play these files in case of necessity.


Creation of Video files

VideoCharge Studio allows you to create video files of all main video formats.

List of supported video formats.
  1. AVI. Audio Video Interleave.

    In order to compress video you can use any video codec installed in your system, such as DivX, xVid.
    You can also use internal video codecs to create MPEG-4 Video, H263, H264, Microsoft MPEG-4 or Uncompressed (RGB) video.

  2. MPEG. Motion Pictures Expert Group.

    MPEG-1 (VCD), MPEG-2 (SVCD) video codes are used for video compression.

    Mpeg Audio Layer-1, Mpeg Audio Layer-2 audio codecs are used for audio compression.

  3. WMV. Windows Media Video.

    All Windows Media Video Codec registered in your system are used for video compression.

    All Windows Audio Video Codec registered in your system are used for audio compression.

  4. MOV. Quick Time Files.

  5. MP4. Mpeg-4 Video.

  6. FLV. Flash Video Files.

    H.263, Screen Video, On2VP6 video codecs are used for video compression.

    MP3 audio codec is used for audio compression.

  7. SWF. Small Web Format.

    H.263, Screen Video, On2VP6 video codecs are used for video compression.

    MP3 audio codec is used for audio compression.

  8. MKV. Matroska Files.

    H.263, Screen Video, On2VP6 video codecs are used for video compression.

    MP3 audio codec is used for audio compression.

  9. 3GP. 3rd Generation Partnership Project.

  10. 3g2. 3rd Generation Partnership Project 2.

How to create video file

In order to create video file, it is necessary to add output video format. You can use menu command "Add Output Video".

By default VideoCharge Studio creates one video format and one Thumbnails format. It means that a video file and one Thumbnails for it will be created. You can edit these formats by selecting them in "Workspace" tree or delete extra ones.

After you have added a new format or selected one in "Workspace" by making a double click on it, a dialog window of options appears. Within this window you can specify all necessary parameters for creation of video file:

Main

This tab contains common parameters for creation of video files.

Here you can do the following:
  • Specify to distribute created files among groups (by directories). Set "Group Elements" parameter.

  • Specify to ignore common splitting of the video into parts. In this case even if video splitting is set, files for this output format will be generated without considering splitting parameters.

Format

On this tab you can select format for creation of video files.

Output Dir and File Name

On this tab you can set a directory and a name of created file.

For more information about setting output file name see here.

System

On this tab you can set system information for video file.

You can specify the following parameters:
  1. Frame Rate
    This parameter is necessary to set number of frames per one second of video.

    The following values are available:
    1. Keep original frame rate.
      The system uses the same number of frames the original video file has.

    2. 15 fps, , 30 fps.
      Number of frames is selected from a list of available values.

    3. User defined.
      If you select this value, you can set your own number of frames per second. This value can be decimal.

  2. Frame rate smoothness.
    If original Frame Rate bigger than selected one, some of frames should be deleted. This option minimizes loss of quality in such cases. Frames will not be deleted but joined with nearby frames.

  3. Include Audio stream.
    This option is necessary to create video with audio stream.

  4. Fast stream.
    Some formats support creation of indexes in video header for quicker viewing in the Internet and navigation through video file. This parameter switches on/off creation of indexes in video file header.

Video

This tab is necessary to set video coding parameters.

You can specify the following parameters:
  1. Video codec for creation of video file. Select one value from a list of predefined ones

    List of codecs depends on format selected by you.

  2. Two-pass encoding

    If you select this option, video coding will be performed in two passes. Time of video creations increases almost twofold, but quality becomes better.

  3. Key Frames

    This option is necessary to set numeric value of key frames stripping. Value "1" means that each frame of created file will be a key frame. The bigger this value, the higher quality of created video and the slower navigation through the video file. Key frames are assigned automatically at change of scenes as well.

  4. Bitrate

    This numerical value is necessary to set required size of created file. This parameter replies for quality of received video file.

    You can use calculator to compute approximate size of created file:

    Within appeared window select bitrate

    On the picture above approximate size of video file wil"l be 720kb while bitrate value is 512 kbtis and video duration is 10 sec. In order to calculate bitrate, type approximate duration of video clip and required file size.

  5. Bitrate Mode
    This parameter is intended to set ratio between created file size and video quality.

    Bitrate Mode can have one of the following values:
    1. CBR
      Constant bit rate throughout the whole video file.

    2. VBR
      Bitrate depends on video, it is better to use coding in two passes.

    3. Quality VBR
      The quality is fixed and doesn't depend on size of video file. You can set numerical value of quality in Quality field:

    4. Unconstrained VBR (only for WMV)
      Bitrate depends on video, coding in two passes is used automatically.

    5. Constrained VBR (only for WMV)
      Bitrate depends on video, coding in two passes is used automatically. This type allows you to set parameter of variable bit rate more precisely. You can set maximal bitrate in "Max Buffer Window" field.

Audio

This tab is intended to set parameters of audio coding.

You can specify the following parameters:
  1. Audio codec, which will be used for audio coding. Select value from a list of available codecs:

    List of codes depends on format selected by you.

  2. Sampling Rate.

    Select "Sampling Rate" for audio.

  3. Channel.

    Select number of channels.

  4. Bitrate Mode.
    Set type of quality distribution. This parameter can have one of the following values:
    1. CBR
      Constant bitrate.

    2. VBR
      Variable bitrate.

  5. Bitrate.
    One of the predefined values is used to set required size of created file. This parameter affects quality of received audio.

  6. Encoding Speed.
    This parameter is intended to set speed of Audio coding. The higher speed, the lower quality of audio and vise versa.
Resize

This tab is intended to set parameters of image resize.

For more information about image or frame resize see here.

MetaData

This tab is intended to add meta data to created video file.

For more information about using meta data see here.


Creation of graphic files

VideoCharge Studio allows you to create graphic files from frames of video files or other graphic files.

List of graphic file formats supported by VideoCharge Studio.
  1. BMP
    File extension is *.bmp.

  2. JPEG
    File extensions are *.jpeg, *.jpg.

  3. GIF
    File extension is *.gif.

  4. JPEG-2000
    File extensions are *.j2k, *.jp2, *.jpc, *.pgx.

  5. PSD
    File extension is *.psd PhotoShop files.

  6. PNG
    File extension is *.png.

  7. TIFF
    File extensions are *.tif, *.tiff.

  8. PCX
    File extension is *.pcx.

  9. TGA
    File extension is *.tga.

  10. ICO
    File extension is *.ico.

  11. WBMP
    File extension is *.wbmp.

  12. RAS
    File extension is *.ras.

  13. PGM
    File extension is *.pgm.

Applying VideoCharge Studio you can create files of the following formats.
  1. BMP files

  2. JPEG files

  3. GIF files

  4. JPEG-2000 files

  5. TIFF files

  6. PNG files

How to create a graphic file?

In order to create a graphic file, you need to add output Image format. To do this, use menu command "Add Output Image".

By default VideoCharge Studio uses video file format and Thumbnails format. It means that video file and Thumbnails for it will be created. You can edit these formats by selecting them in "Workspace" tree. Extra formats can be deleted.

While adding new format or after selecting format in "Workspace" and making a double click on it, you can set all necessary parameters of graphic file creation within the appeared dialog window.

Main

This tab contains common parameters for creation of image files.

Here you can do the following:
  • Specify to distribute created files among groups (by directories). Set "Group Elements" parameter.

  • Specify to ignore common splitting of the video into parts. In this case even if video splitting is set, files for this output format will be generated without considering splitting parameters.

  • Specify how many Images should be created for one video file.

    For example, if two video files are created by splitting into two parts, so the number of graphic files will be equal to 2* value of specified parameter. In this case frames for creation of graphic files will be taken evenly.

Format

This tab is intended to select format of created graphic files.

While working with video files, you can define default video frame which will be used to create graphic file (see here). You can also check option of automatic search best frame (see here).

Output Dir and File Name

On this tab you can set directory and name of created file.

For more information about setting output file name see here.

Resize

This tab is intended to set parameters of image resize.

For more information about image or frame resize see here.

ImageList

This tab is intended to set parameters of Image List creation.

For more information about Image list see here.


Original Format File

Original Format File defined as an output format is an ability to create a video of the same format as the processed file has.

VideoCharge Studio supports an ability to create a video avoiding changing of file format, video or audio stream coding parameters. You can use this format if you don't want to change format of the processed file or parameters of video and audio compression.

While using this format it is not necessary to have video or audio codec of an original video. If a video or audio codec is not found, a default codec will be used.

While creating a video of Original Format File, you can receive a video of worse quality than the original file. It depends on not all video files keep information about parameters of compression. So these lacking parameters are changed into default ones. Besides, video re-coding always decreases file's quality, since any video compression method is based on loss quality compression algorithm.

How to process a video avoiding changing file format?
  1. In the "Workspace" tree select an input video format and make a double-click on it:

    If there are no a necessary format, you can add it.

    By default, VideoCharge Studio creates one output Video Format and one output Image Format. That means a video file and a graphic file will be created from a video file. If you don't want to create, for example, a graphic file, select it in the tree and delete.

  2. Within the appeared window open "Format" tab.

  3. Select "Original Format File" output format.

  4. You can set two-pass encoding option to use to passes to create a video.

    It will takes twofold amount of time, but you will have a file of better quality.

  5. Add necessary input files.

    Adding video files for processing.

  6. Specify necessary parameters of video editing, e.g. video splitting.

  7. Click Generation button to start generation of the files.


Without-Re-Encoding output format

Without Re-Encoding output format is an ability to edit video file avoiding decoding/coding of each frame.

VideoCharge Studio includes an ability to edit video avoding decoding/coding of each frame. As decoding/coding of each frame takes considerable amount of time, using of this mode will give you fantastic increase of file editing speed. Besides, this method of video processing saves 100% of original video and audio quality.

Of course, all editing operations are not accessible while using this method. It is impossible to change file format, parameters of video or audio coding, to add a watermark or precisely cut a video fragment. But some operations such as join single-type files, cutting scenes, splitting files into parts (when precision up to frame is not critical) can be performed.

Operation principle of this method is based on the following: when you split video into parts, cut scenes the nearest index frame independent from others is used as an initial frame. This restriction leads to unprecise video splitting.

While working with the given method of file processing, VideoCharge Studio allows you to use "Editing" mode. This mode decodes/codes lacking frames and you receive a precise result as you would decode/code a complete video. Using this mode you even can add a watermark to a video! Of course, if the watermark shouldn't be visible during full video duration. Unfortunately, this ability is not accessible to all file formats. First, codecs used to video compression are necessary; second, some file formats don't give a possibility to correctly apply this method.

How to process video without re-encoding?
  1. In the "Workspace" tree select an input video format and make a double-click on it:

    If there are no a necessary format, you can add it.

    By default, VideoCharge Studio creates one output Video Format and one output Image Format. That means a video file and a graphic file will be created from a video file. If you don't want to create, for example, a graphic file, select it in the tree and delete.

  2. Within the appeared window open "Format" tab.

  3. Select "Without re-Encoding" output format.

  4. If you want to enable "Editing Video" mode, select Editing Video option.

    Using this mode you will be able to precisely cut scenes, decode/code video, or add watermarks. Unfortunately, all formats don't support this functionality.

  5. Click "Advanced" button to specify additional options.

    Within the appeared window you can set FOUR and video codec association for processing video in "Editing Video" mode.

    Set options for usage of a key frame.

    Key frame is used for cutting scenes, splitting video and some other operations. You can specify which I-Frame frame should be used for the beginning of the video creation: before or after a necessary position.

    There are no any restrictions for the end of video coding. So a video could have less duration than it is necessary or video end will be shifted. You can specify the video end using Extract Duration and Extract Ending parameters.

  6. Add necessary input files.

    Adding video files for processing.

  7. Specify necessary parameters of video editing, e.g. video splitting.

  8. Click Generation button to start generation of the files.


Work with files

Videoharge Studio allows you to play video files of all main formats, including DVD, edit and convert them into other video formats.

Complete list of supported video file formats.
  1. AVI
    Audio Video Interleave, general file extension *.avi.

    AVI file is a container that can contain both video and audio data compressed by any video or audio codec. Before starting work with AVI files make sure that video and audio codecs necessary for AVI files decoding are installed on your computer.

  2. MPEG
    Motion Picture Expert Group. Supported extensions: *.mpeg, *.mpg, *.m1v, *.m2v, *.m2t, *.ts. Work with Transport Stream.

  3. DVD
    You can work with DVD files. Supported extension is *.vob.
    While working with DVD copy you can process parts of DVD separately using work with IFO files (*.ifo).

    It is also possible to work directly with DVD disk.

  4. WMV
    Windows Media Video. Supported extensions: *.wmv, *.asf, *.wma.

  5. MOV
    QuickTime Video. Supported extensions: *.mov, *.move, *.qt.

  6. FLV
    Flash Video. Supported extension: *.flv.

  7. SWF
    Small Web Format. Supported extension: *.swf.

    VideoCharge Studio makes it possible to work with this format only if SWF file contains both video and audio streams.

  8. MP4
    Supported extension: *.mp4..

  9. 3GP
    3rd Generation Partnership Project. Supported extension: *.3gp.

  10. 3G2
    3rd Generation Partnership Project 2. Supported extension: *.3g2.

  11. MKV
    Matroska Files. Supported extension: *.mkv.

  12. RM
    RealMedia Files. Supported extensions: *.rm, *.rmm..

  13. MP3
    Mpeg Audio Layer 3. Audio file. Supported extension: *.mp3.

  14. WAVE
    Basic audio file. Supported extensions: *.wave, *.wav..

Adding video files for processing.

In order to add video files to processing you can do one of the following actions:
  1. Select menu command "File->Add Files".

  2. Use "Ctrl+F" hot-keys combination.

  3. Use button on the toolbar.

After any of actions listed above, select necessary files within the appeared window.
All added video files are displayed in "Workspace".

Reviewing video file properties.

In order to review properties of video file, such as duration, frame size, audio and video codes, select file in "Workspace". All information about selected file will be displayed in "Properties Window".

You can also use this window to set path to processed file, select audio track (if it is not defined) and specify other parameters that belong to selected video file.

Work with DVD

VideoCharge Studio supports work with DVD, local copies of DVD, processing of VOB files (*.vob) and parts of DVD separately using work with IFO files (*.ifo).

To be able to work with DVD or local copy of DVD, select path to DVD-ROM or to local directory with copy of DVD in it (this directory has to contain Video_Ts directory). You can do one of the following actions:

  1. Select menu command "File->Add DVD..."

  2. Use "Ctrl+D" hot-keys combination

  3. Use button on the toolbar.

  4. In order to add VOB or IFO files perform the actions which are described in "Adding video files for processing" chapter
  • While using VOB files, process of file parsing will be run. You have to wait till it is completed.

After adding DVD, you can see DVD structure in "Workspace".

You can select necessary DVD chapters using commands of context menu:

  1. "Select All Chapters" command, if you want to select all DVD chapters.

  2. "Unselect All Chapters" command, if you do not want to select any DVD chapter.

You can also select necessary chapter from context menu:

Use command "Include" to select or unselect DVD chapter.

If DVD contains more than one Audio track, you can select necessary one from all of them:

  1. Select DVD chapter or VOB file.

  2. Within "Properties Window" select necessary Audio track.

See also:

Work with directory of files


Batch processing of files

VideoCharge Studio allows you to processes a group of files during one generation. At the same time VideoCharge Studio allows adding any number of files or working with all files from indicated directory at once.

Work with directory of files.

In order to process all files from a directory, you can do one of the following actions:
  • Select menu command "Add Folder".

Within the appeared window select a directory with files.
You can also use the following parameters:
  2. Include file mask.
    You can set a file mask. For example, you want to process AVI files only, so you need to set file mask *.avi

  3. Exclude file mask.
    If you do not want to process some files, set exclude file mask. For example, you want to process all files except MPEG files. Set *.mpeg exclude file mask.

    You can combine extensions for exclude file mask, for example, *.avi;*wmv.

  4. Process subfolders.

    If you check this option, all files from subdirectories of selected directory will be processed as well.
After you have selected directory and set parameters, specified directory with files is displayed in "Workspace".

Select directory in "Workspace".

Attention

In order to organize preview of all created files, it is necessary to recognize formats of all files. This operation can take some time.

Parameters

Upon selecting directory in "Properties Window" you get access to all parameters of working with directory of files.
  1. Path
    Set path to directory

  2. Include files
    Set mask for files which will be used (More..).

  3. Exclude files
    Set mask for files which will be missed (More..).

  4. Subfolder

    Check this checkbox if you want to process subdirectories (More...).

  5. Keep Hierarchy
    Check this parameter if you want to keep hierarchy of directories upon path generation of output file

    Example.

    You add directory :\TEMP that contains file TEMP.AVI and subdirectory SUB with file TEMP_SUB.AVI inside.

    C:\TEMP
        \SUB\
             TEMP_SUB.AVI.
        TEMP.AVI.

    You set output directory C:\RES

    After selecting "Keep Hierarchy" parameter, you get t>

    C:\RES
        \SUB\
             TEMP_SUB.AVI.
        TEMP.AVI.

    If this parameter is not select, you will get:

    C:\RES
        TEMP_SUB.AVI.
        TEMP.AVI.

    It means that all files will be copied to specified directory without saving subdirectories
Updating

After adding directory with files, all the files which are currently in this folder will be processed. If some new files appear in selected folder, these ones will not be processed. In this situation you can use "Refresh" command. Select directory with files, make a right button click on it and select "Refresh" command from the context menu

Deleting

In order to delete file from processing, select corresponding directory, within "Preview" select files you want to delete and press "Delete" button (see here).

Upon batch processing of files, the important thing is dynamic generation of filenames and directory names. Besides "Keep Hierarchy" option, you can also use dynamic variables in filenames and directory names upon their generation.


Creating of several video files at a time

VideoCharge Studio allows you to create any number of video files from the original video file. These files can differ in coding parameters (for example, bitrate), size, etc. At the same time, generation of several video files can be run only once.

How to create several video files?

In order to create a video file, select the menu command "Add Output Video Format".

Set parameters for a file which is being created within the appeared window.

In order to create one more file, repeat the actions described above.


Extract frames from video file

VideoCharge Studio allows you to extract frames from video file and save them as graphic files.

How to do it?

In order to extract frames from video file you need to do the following:
  1. Set video split parameters, see Split Video.

  2. For add image use menu command "Add Output Image".

    Within the appeared window set the format of creating Images.

  3. If your project file contains output video format, you need to delete it. Select the format in ""Workspace" and press Delete button.

    It should be done to avoid video files creating.

  4. Add video files you want to process:

    Press "Add Files" button.

    In the "Preview" you can see all Images that will be created. Select one of them by clicking on it.

    You can delete any Images that do not suit you.

  5. Press "Generation" button to create files:


Creation of Thumbnails for video files

VideoCharge Studio allows you to create Thumbnails for each created video file. At the same time you can also create several Thumbnails for video file, which differ in format or video frame.

Creation of Thumbnails

In order to create Thumbnails you need to do the following:
  1. Add Thumbnails applying menu command "Add Output Image".

  2. In window of options you can set format and specify frames which will be base for future Thumbnails. You can also set a number of Thumbnails which should be created for video file.

    Specification of frames Thumbnails are created of

    By default, Thumbnails is created from the first frame.

    If you want to choose another frame, select "Fixed" parameter and set shift in "Merging Source Frame" field.

    If processed video files have different durations, setting of fixed frame will not help you. In this case you can specify frame applying relative position.

    For example, if you select "Relative position" and set position as 50%, Thumbnails will be created from the middle of processed file.

    Setting number of Thumbnails for video clip

    By default, only one Thumbnails is created for each video clip. But this value can be changed.

    For example, if you want to create 10 Thumbnails for 10 seconds video clip, enter 10 in "Number of Thumbnails for Video" field. 10 thumbnails will be created for each created video clip.

    By default frames for creation of Thumbnails, from the example above, will be taken one second apart. That is video clip duration will be divided by value from "Number of Thumbnails for Video" field. Default frame will be selected according to received value.

    The Best frame automatic search.

    While creating Thumbnails from a video file VideoCharge Studio allows you to set a mode of the best frame search from a specified range. More...

  3. If you need to create several Thumbnails of different formats, simply repeat 1st and 2nd steps to add new Thumbnails.

  4. Frame for Thumbnails creation can be selected manually as well. In "Workspace" select one of Thumbnails formats.

    Add video files you want to process:

    "Preview" displays all Thumbnails which will be created. To select one of them, make a click on it.

    In "List of Thumbnails Window" you can see a sequence of video frames, select the more successful frame and make a double click on it.

    Use zooming tool to change scale of displaying frames sequence.

  5. Press "Generation" button to create files:


Image List Creation

VideoCharge Studio allows you to create Image List for video files or from a group of graphic files.

What is Image List?

Image List is a graphic file that displays a sequence of frames from video file (or a sequence of graphic files) in tabular form. It also includes headers with meta data about processed files, such as file name, date of creation, file duration, etc.

Below there is an example of Image List.

In this example we used a video file of 29 seconds length, original frame size is 320 x 240, file size is 2101kb.

How to create Image List for video?

In order to create Image List:
  1. Select menu command "Add Output Image".

    Within the appeared window select "ImageList".

    You need to check "Do you want to combine Thumbnails into" parameter.

    Set number of elements in lines and columns, and select meta data which you want to be displayed in Image List header.

  2. Set frame size.
    To set frame size, select Resize tab and specify frame's width and height.

  3. Set video split.
    If you create Image List from video file frames, you need to set Split Video. For example, while creating Image List from a video file and if Image List contains 4 elements, set video splitting into 4 parts.

  4. Add necessary number of files applying menu command "File->Add Files..." or use button:

  5. Press "Generation" button to create files:


Setting directories and names for created files

VideoCharge Studio is an application which orients on data flow computing of video and graphic files. It has a wide range of instruments for flexible setting of paths and names of created files.

Setting global directory

VideoCharge Studio can create several files of different formats during one generation. Each format can have their own directory to store generated files in it.

If all files should be created in one directory (or relatively to a corresponding directory), you can set Root directory. To do so, select "Project" element in "Workspace"

and make a double click on it.

In the field of "Common Directory" parameter type directory for keeping of created files.

All created files will be kept in specified directory if this parameter has not been redefined for them.

Setting directory for file.

You can set directory for each file separately or directory relatively to Root one.

In order to set directory for output file, select necessary format in "Worksapece"

and make a double click on it.

Within the appeared window select "Output Dir and File Name".

Type path to directory in filed of "Destination Folder" parameter. If this field is empty, generated files will be put into directory specified for "Common Directory" parameter. If "Common Directory" parameter is empty, all files will be put into directory of the original file.

So if you do not want to change directory for created files, leave empty fields of "Destination Folder" and "Common Directory" parameters.

Path to directory for created files can be set relatively. For example, if parameter "Common Directory" has "c:\TEMP" value and parameter "Destination Folder" has "Video" value, all new files will be created in "c:\TEMP\Video" directory.

Setting name for created file.

In order to set name for output file, you need to specify "Filename Pattern" parameter.

This parameter is a template. It can be changed depending on values of variables assigned to it.

In order to view a list of available variables and study how to add them to template, click on the button at the end of "Filename Pattern" field:

List of available variables
  1. %g - Gallery Index.
    If created video or Thumbnails are shared among galleries (see here), this parameter will be replaced by numerical value of current gallery.

  2. %i - Source File Index.
    While working with several files, this parameter is replaced by numerical value of current processed file.
  3. %r - Relative File Index.
    This parameter is replaced by numerical value which is equal to number of previously created files in given folder plus 1. Only similar file names are considered.

    For example:

You set Video_%r value for Filename Pattern parameter.
Directory, next new file will be added to, already has the following files:
        Video_1.wmv
        Video_2.wmv
File with the following name will be generated:
        Video_3.wmv
  4. %a - Absolute File Index.

  5. %s - Source File Name.
    This parameter will be replaced by name of original processed file.

  6. %e - Source File Extenstion.
    This parameter will be replaced by extension of original processed file.

  7. %d - Source File Parent Direction.
    This parameter will be replaced by name of directory where original file is located.

  8. %dvd - Source DVD Provider.
    This parameter will be replaced by DVD Provider value. This parameter works with DVD only.

Besides, * symbol in "Filename Pattern" will be replaced by a part of original file name. For example, if you use *.*, the system will create new file with a name similar to the name of original file

Usage of dynamic directory.

While processing great number of files it is often necessary to group created files into directories. To avoid manually performing this process, you can use "dynamic directories" in VideoCharge Studio.

How to create dynamic directory?

In order to create dynamic directory, it is enough to type pattern such as dir_%g/clip.wmv in "Filename Pattern" parameter field. Variable %g will be replaced by index of gallery and files will be created in directories:

        Dir_1/clip.wmv
        Dir_2/clip.wmv
        and so on
In general, to specify dynamic directories you can use the same variable as for file names separated by "/".

Names duplication.

If you create more than one file and "Filename Pattern" generates similar file names, a situation of file names duplication will arise. In this case VideoCharge Studio adds a numerical prefix (index of duplication) to file name.

For example:

        Clip.wmv
        Clip_01.wmv
        Clip_02.wmv
To avoid such situation, you should specify "Filename Pattern" with dynamic variables, for example, Clip_%r.wmv.

Setting format of numerical variables.

While file name duplication, prefixes have the following format %2d, as described above. It means that two numbers are used to form a file name. If number is not double-digital, second symbol is replaced by zero, e.g. _01, _02.

You can specify your own format of numerical variables. To do so, click on "Advanced" button:

Within the appeared window you can set prefix format in "Index format for duplicate names" field.

Format can have one of the following forms: %d, %02d,, %0nd, where n is a number of symbols.
For example, if you use value %03d, prefix will be changed as 001, 002, , 999, 1000. It is also possible to use hexadecimal system: %X, %02X,, %0nX, or %x, %02x,, %0nx.

If you use numerical variables such as %i, %r for "Filename Pattern", it is also possible to set format for their displaying. To do so, set format value (similar to prefix value of duplicated names, see above) in "Format" field of "Numeric Variables" section.

You can also set start value for numerical variable in "Start Form" field and fixed value for increase of the variable in "Increment" field.

Additional parameters.
  1. Remove original files
    If you check this option, VideoCharge Studio will delete all original files after processing.

    Attention! Be careful while using this option, because it will be extremely difficult to restore deleted files.

  2. Overwrite existing files
    This option is intended to replace existing file. If this option is checked, while generation existing file will be overwritten by new file with the same name. If option is not checked, new file will not be created.

  3. Web Save
    If you use this option, all names of created files will be check for presence of whitespaces. All whitespaces will be replaced by underline character.

  4. Name Case
    This parameter is intended to set case-sensitive file names. It can have one of the following values:
    1. As is
      Leave original case.

    2. Lower
      Create names of lower case.

    3. Upper
      Create names of upper case.

  5. Extension Case
    This parameter is intended to set case-sensitive file extension. It can be one of the following values:
    1. As is
      Leave original case.

    2. Lower
      Create names of lower case.

    3. Upper
      Create names of upper case.

  6. Always use format dependent extension.
    If you select this option, while file names generation the system will always use extension depending on format of created file. Value of extension from "Filename Pattern" parameter will be ignored.

2007-2009. www.videocharge.com. All rights reserved.

ndex


Create video of high quality using double pass coding

In order to get an optimal video quality, a number of bytes necessary for compression of video fragments can be absolutely different. Upon equal distribution of the bitrate, one scene can have a good quality and another one - bad enough. That is why double path gives an ability to pass throughout the file before main coding and receives information about the scenes. It is used to correctly distribute bitrate among scenes. This method gives a good quality of the video but takes twofold time.

VideoCharge Studio allows you to create video using double pass coding almost for all video formats.

How to use double pass?

In order to create a video using double pass, you need to set the "Two-pass encoding" parameter:

If you use "Original Format File" output format, this property can be set on the "Format" tab.

See also creation of video files.


Automatic creating several Thumbnails for video file

While working with a large number of video files, creating thumbnails to video, creating WEB galleries on the base of graphic files, it could be necessary to generate several thumbnails from one video file.

VideoCharge Studio allows you to create graphic files on the base of video file frames. You can create any number of thumbnails in manual mode (see here). In automatic mode one thumbnail is created on the base of the first frame of each file. However, if you use file splitting you can create several Thumbnails for each part of split video file. In that case, frames will be got evenly from a video file. For example, the first and the last frames will be used to create two thumbnails; the first, middle, and the last frames will be used to create three thumbnails, and so on.

How to automatically create several thumbnails for video file?
  1. Add Image applying menu command "Add Output Image".

    If a necessary graphic format is already added, just select it in the tree.

  2. Within the opened window specify the following parameter:

    Default value of this parameter is 1. That means only one graphic file will be created for a video file. Specify your own value: how many Thumbnails you want to create for your video file.

  3. Delete an output video format if you don't plan to create video files. For that, select the format in the tree and click the button on the toolbar:

  4. You can also set video splitting (see here). In this case, an initial video file will be split into several parts and each of them will be split into a number of Thumbnails you want to create.

  5. Add input video files. Use the button on the toolbar:

  6. Select one of the added video files. All graphic files which should be created will be displayed in the "Preview".

    You can edit all those graphic files. For more information see here.

  7. Press "Generation" button to create files:


Work with MetaData

VideoCharge Studio allows you to create video files adding custom metadata.

What is metadata?

Metadata is the information about an author of video file, copyright, etc., which is kept in video file header. Many video players can display this data during video file demonstration.

How to add meta data while video clip creating?

In order to set metadata, you need to open options of the video file you want to add metadata to. Select necessary video format in "Workspace" and make a double click on it.

Within the appeared window select "MetaData".

Type necessary meta data in corresponding fields.


What is a watermark?

Usually, watermark is a text of graphic file, which is drawn translucently in a video frame or graphic file. Commonly it is used to protect your copyright. Watermarks also can be used to add subtitles, any other text or create simple video effects, such as appearance or movement of a text or graphic file.

VideoCharge Studio allows you to draw watermarks in video file frames and in graphic file as well.

How to add watermark to video or graphic file?
  1. In order to add a watermark to a video file, select output video format (what type of file you want to create) in the ""Workspace" tree:

    If there is no necessary output format, you should add it:

    In the same way, if you want to add a watermark to a graphic file, select/add an output graphic format:

    By default, VideoCharge Studio creates one output Video Format and one output Image Format. That means a video file and a graphic file will be created from a video file. If you don't want to create, for example, a graphic file, select it in the tree and delete.

    Specify output format properties. Select an output format in the ""Workspace" tree and make a double click on it. Within the appeared window you can set properties of the output format.
    About properties of different formats you can read in the following sections:

    Creation of video files.
    Creation of graphic files.

  2. Add initial files where the watermarks will be drawn in. For that, click on the toolbar button:

    Click here to get more information about work with files.

    Select one of the files by click on it in the "Workspace" tree.

  3. Open "Watermark" tab of the main window.

    In order to add a text watermark, use the button on the toolbar:

    On the image there is an example of adding a text watermark. You can also add a graphic file, rectangle or ellipse.

    After a watermark is added you can set its position on the frame by drag it to a necessary place.

  4. Specify a text for a text watermark, its font, size and value for Transparency property.

  5. Using Watermark Toolbox specify type and parameters of watermark display.

  6. Click "generation" button to start creation of your files.


Set Timeline for Watermark

While adding a watermark to a video file, it is possible to display it only in a part of video file. For example, a watermark can be visible only first or last several seconds.

VideoCharge Studio allows you to set Timeline for a watermark. Timeline is a time range when a watermark will be visible. Besides, you can set a pause between watermark displays, e.g. a watermark is visible during 10 seconds then it is invisible during several seconds and after that a watermark is visible again. You can also set how many times a watermark should be displayed, set random time of its display. You can use an SRT file to precisely specify time of watermark display: when, what text and how much text should be displayed (subtitles creation).

How to set a timeline for a watermark?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open Timeline tab:

  3. Set Timeline type:
    • Simple
      In this case you should specify time range of watermark display. For that, set a point for display start and end using special controls:

      or in the "Timeline Edit" control drag Timeline boundaries by the mouse:

      Start display and end display positions can be specified relative to each other (use clip pictograms):

      or relative to end of the video file:

      It is useful when you process several video files of different duration and want a watermark will be displayed only last several seconds. For that, specify an end display point relative to the end of the file and a start display point relative to the end display point.

    • Multiply.
      In this case your watermark will be displayed with pauses between displays. You can specify Offset time - beginning of the first display:

      Duration - how long a watermark will be visible,

      Pause Time - how long watermark will be invisible,

      and how many times a watermark should be displayed - during all file's duration or according to a set number of times.

    • Random
      In this case a watermark will be displayed a set number of times with a set duration,

      but the beginning of the display will be calculated randomly.

    • SRT
      In this case you can precisely specify the time when a watermark will be displayed, how long it will be visible and what text will be used for a watermark. All this information will be read from an SRT file. You should set a path to this file. For more information read here.

  4. You can click Generation button to start generation of the files.

Implied method to set Timeline for a watermark.

VideoCharge Studio allows you to set time of watermark display by recording and saving its moving/displaying. For more information, see here.


Set smooth watermark appearance/disappearance

While adding a watermark to a video file, you can specify its smooth appearance before complete display and next disappearance.

VideoCharge Studio includes several different ways of watermark appearance/disappearance. Among them there is a usual way - full watermark smoothly appears/disappears with a set speed from left to right and so on.

How to set watermark type of appearance/disappearance?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open FadeIn/FadeOut tab:

  3. Specify speed of watermark appearance/disappearance.

    If you set null watermark will be shown or hidden immediately

  4. Specify type of watermark appearance/disappearance.

    You can choose of the following:
    • Classic.
      A watermark will be displayed gradually.

    • Horizontal (left) - to Center.
      A watermark will be displayed according to selected direction.

  5. You can click Generation button to start generation of the files.


Record subtitles from SRT file directly to the video file

While adding a text watermark to a video file, you can use an SRT file as a text for a watermark.

SRT file contains information when a watermark should be visible, how long it should be visible and what text should be displayed. It is commonly used to create subtitles. But it also can be used to set Timeline for watermarks.

An example of an SRT file is accessible here [VideoCharge Studio Install]\Examples\watermark.srt.

SRT file format:

1
00:00:02,920 --> 00:00:06,390
Text1

2
00:00:08,600 --> 00:00:14,550
Text2

How to create a text watermark on the base of SRT file?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open Timeline tab:

  3. Set Timeline type - SRT File:

  4. Specify path to the SRT file.

  5. You can click Generation button to start generation of the files.


Draw DVD subtitles in a video file

While creating video on the base of DVD, you can draw DVD subtitles directly in the video frames.

How to draw DVD subtitles in video frames?
  1. Add a DVD drive.

  2. Select/add output format (for more information see here).

  3. Add a watermark using "Add DVD Subtitle" button on the toolbar:

  4. In the "Properties" window set Subtitle ID:

  5. You can click Generation button to start generation of the files.


Set vector of watermark moving throughout the frame while video is playing.

While adding a watermark to a video file you can specify vector and speed of watermark moving throughout a frame.

VideoCharge Studio allows you to set a point on a frame where a watermark will be moved to while a video file is playing. You can also preliminary record watermark movements by sliding it with the mouse while initial video file is playing.

How to move a watermark throughout a frame?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open Moving tab:

  3. Select moving type: "Specified Watermark Moving":

  4. Specify a point where a watermark should be moved to:

  5. Specify how long moving will continue:

  6. Specify when moving should be done: at the beginning of the display, at the end of the display, or both at the beginning and end of the display:

  7. You can click Generation button to start generation of the files.

Read also:

How to record watermark moving?


Manually record watermark moving throughout the frame

While adding a watermark to a video file, you can record watermark moving throughout the frame.

VideoCharge Studio allows you to record watermark moving throughout a frame while video file is playing. To do so, you can manually move a watermark throughout a frame in record mode while video file is playing. Usually it is used to hide some moving scene fragments, for example, personage's eyes, applying blur or black box.

How to record watermark moving?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open Moving tab:

  3. Select moving type: "Random (recorded) moving":

  4. Press F6.

  5. Start to move a watermark.

  6. Press F7 to end recording.

    You can view recorded moving by click Preview button.

    In order to edit a moving step, select a certain step in the "Recording Edition" control and edit its position.

    You can also hide or show watermark using Hide/Show button or press F8:

  7. You can click Generation button to start generation of the files.


Application of effects to watermarks

While adding a watermark to a video or graphic file, you can apply a set of effects for watermark drawing.

VideoCharge Studio allows you to draw watermarks applying effects of shadow, stroke, boss, and some others.

How to apply an effect to a watermark?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open Effects tab:

  3. Select a necessary effect from the list by click on it.

  4. Specify effect parameters (Drop Shadow).

  5. You can click Generation button to start generation of the files.


Apply gradient or BITMAP file to draw a text watermark

While drawing a text watermark, it is possible to use simple colors, gradient or BMP graphic file to display a text.

VideoCharge Studio allows you to draw a text watermark using simple colors, gradient (smooth transition from one color to another) or a graphic file of BMP format

How to set a color of a text watermark?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Properties" window select what type of fill do you want to use:
    • Color
      A text watermark will be drawn using simple colors. You can select a necessary color from "Color" property.

      Select color from a drop-down list of predefined colors

      or click "More" button and specify another color.

    • Gradient
      A text watermark will be drawn using a gradient. You can select a necessary gradient from Gradient property.

      From the drop-down list of predefined gradient schemas select a necessary one

      or specify your own gradient schema.

    • Pattern
      A text watermark will be drawn using a BMP file. You can set a necessary pattern from a list of predefined patterns in the Pattern field. You can specify your own pattern by setting path to a certain BMP file

  3. You can click Generation button to start generation of the files.


Create several watermarks all at once

In some cases it is necessary to draw several watermarks in a video or graphic file. For example, when a text watermark should be drawn in a rectangle or ellipse, or when a text watermark and graphic file are used, or when several watermarks are used.

VideoCharge Studio allows you to draw any number of watermarks in a video or graphic file.

While working with groups of watermarks you can do the following:
  • Specify an order of watermark drawing.
    For example, when a watermark background is created on the base of a graphic file, it is important to draw background before the watermark. For that select a watermark and using buttons on the toolbar set an order of displaying

  • Alignment
    While using several watermarks, you can set their alignment. For that select several watermarks and specify a type of alignment for them. Alignment will be set relative a last selected element.

See also:

How to add watermark to video or graphic file?


Usage of a text file while drawing a text watermark

While drawing a text watermark, the text which should be drawn can be taken out from a text file.

VideoCharge Studio allows you to use a text file as a source of text for drawing a text watermark. It is possible to use both complete text (full content of a text file will be displayed) and separate lines of the text. While processing several files or using Split Video, a new line from a text file will be used for a new created file or the lines will be displayed one by one with a specified pause between them and duration of display.

How to use a text files as a source for a text watermark?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Properties" window set "Type" parameter as "Text file":

  3. Set path to a text file in "Path" parameter.

  4. Set "Content" parameter.

    You can select one of the following values:
    • All Content
      In this case full content of a text file will be used for drawing a text watermark.

    • Split content into lines.
      In this case a text file will be split into lines.

  5. If you select Content parameter as "Split content into lines", "Split Type" parameter becomes available.

    This parameter has two values:
    • By Time
      A text file will split on lines. Each line will be displayed during a time specified in "Display Time" parameter. A pause between displays is set in "Pause Time" parameter.

    • By Files
      A text file will be split into lines and each line will be displayed in every new created file.

  6. You can click Generation button to start generation of the files.


Specify watermark background

VideoCharge Studio allows you to create text or graphic watermarks with background fill. In order to do that, it is necessary to create a text or graphic watermark, add a rectangle or an ellipse and place it under a watermark. About creation of several watermarks, see here.
  1. To add a rectangle or an ellipse you can use the button on the toolbar.

    Add rectangle:

    Add ellipse:

  2. Select the added watermark.

  3. Specify an order of watermark display using commands from the context menu so that the watermark background will be drawn before the watermark text.

  4. If you want to process several video or graphic files of different width, specify "Stretching" option in the "Properties" window.

    Watermark width or height will be set on the base of width or height of processed video file.

See also:

How to add watermark to video or graphic file?

Create several watermarks all at once.


Create watermarks instantly

In some cases, when a watermark shouldn't be visible during complete video file's duration (Timeline is set for the watermark) and there is no need to change output format of the processed file it is possible to use Without-recompression output format to create a video with a watermark. In this way, only frames with added watermark will be coded/decoded.

How to quickly add a watermark to a video file?
  • Select Without-recompression output format.

  • Set "Editing Video" option.

  • Add a watermark.

  • Set Timeline for a watermark.


Draw files metadata (name, resolution, date of creation), time, etc. in the video frame.

While drawing a text watermark, it is possible to use meta-data, such as frame time, video resolution, file name and so on.

VideoCharge Studio allows you to draw text watermark using variables which will be changed into meta-data: current frame time, parameters of a video file, file name or file path.

How to use variable while drawing a text watermark?
  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Properties" window add a variable in a text field. For that, click the button on the toolbar

    and select a necessary variable from the menu

  3. You can click Generation button to start generation of the files.


Draw rectangles and ellipses

VideoCharge Studio allows you to draw a rectangular or ellipse. It can be used to create a background for a text or graphic watermark or hide some details in the frames. At the same time you can specify how watermark should move if you want to hide a moving object in a video file.

Use the button on the toolbar to add a rectangular or ellipse.

For rectangular:

For ellipse:

See also:

How to add watermark to video or graphic file?

Create several watermarks all at once.

Manually record watermark moving throughout the frame.


Duplicate watermarks throughout the whole frame (tile effect)

For more powerful protection of your video of graphic files, a text or graphic watermark can be duplicated all over a frame.

VideoCharge Studio allows you to draw a watermark all over a video file frame or graphic file with the help of tile effect.

How to apply a tile effect?

  1. Select/Add watermark as it's described in "How to add watermark to video or graphic file?".

  2. In the "Watermark Toolbox" open Effects tab:

  3. Specify "Tile" effect by click on it.

  4. Set parameters of the effect.

  5. You can also specify a watermark angle of rotation by setting value for "Angle" property in the "Properties" window.

  6. You can click Generation button to start generation of the files.


Timeline setting

VideoChrage Studio allows you to select a part of video and create a clip on its base.
You can specify any number of parts in each video file.

In order to cut a fragment out of the video file, you need to do the following:
  1. Add a video file you need to cut the fragment from. You can use menu "File->Add Files" or toolbar button:

    More...

  2. Add output video format to create a video clip. You can use menu:

    If the format is already added, select it in "Workspace".

  3. Select the added file in the "Workspace". The file will be displayed in the "Preview".

  4. Select the video file in "Preview". A sequence of file frames will appear in "Timeline Window".

  5. Using mouse, click on Timeline boundary and specify necessary position by moving the boundary.

Now, after you specified a fragment of video, you can click on "File->Start Generation" (or click on toolbar button) to create a video clip on its base.

If you need to create one more video clip based on another part of video, just select the file you created in Preview, copy it and past. After that repeat step 5.

You can also use menu command "Galleries->Create a new Video Clip" (or click on toolbar button). This command is similar to copying of an element.

2007-2009. www.videocharge.com. All rights reserved.

i


Split Video File

While processing video file you can select a mode when each file will be automatically split into several parts. While creating a video, a new video file will be created for each part; while creating Thumbnails, Thumbnails of the first frame (or any specified frame) of each part will be created.

VideoCharge Studio allows you to split a video file:
  1. Into equal time intervals.

  2. Into preset number of intervals. In this case time of each interval is equal to whole video time divided by the number of intervals.
Use Split.

In order to select a video split mode, do the following:
  1. Double click on "Output" element in "Workspace"

  2. Within the appeared window select "Split Video".

  3. Set up video file automatic split parameters.

    If you want to split video file into equal time intervals, select option "Split Video into smaller clips of given equal duration".

    In this mode you need to specify duration of each clip in "Interval" field.

    You can set initial time shift for creating clips ("Start From"), for example, if you set "Interval" for 15 sec. and "Start From" - 5 sec. you will get the following splitting:
    1. 5 s - 20 s.
    2. 20 s - 35 s.
    3. 35 s - 50 s.
      ...

    Option "Create of the last clip" allows you to set the logic of last clip creation. As the length of video file can't be divisible to interval length set by you, the last clip can have length less than the value from "Interval" field. To avoid this select "Create the last clip only when its duration is more than" and enter a percentage value. If this value is 100, the last clip will not be created if its length is less than the value from "Interval" field. If the percentage value is 0, the last clip will always be created.

    If you want to split a video file into preset number of parts, select "Split files into the number of smaller clips of equal duration".

    To use this option you need to specify the number of parts - "Number" field - you need the video file to split into. If this value is 2, every processing video file will be split into two parts.

  4. After options are set, you can add a video file for processing:

    The result of automatic splitting of the video file will be available in "Preview".

    You can delete any item that do not suit you.

  5. Press "Generation" button to create files:


Join several video files into a single one

VideoCharge Studio allows you to join several video files into a single output video file.

While using "Without re-encoding" output format it is possible to join files with the same parameters of video and audio stream compression only.

How to join several video files into one?

There are two ways to join several video files into one: a quick way using functionality of "Preview" tab or applying montage.

The quick way:
  1. In the "Workspace" click an output file format which you want to use to save a sequence of files.

  2. Add video files you want to join. Select any of them.

  3. All added files will be displayed in the "Preview" tab. Select all files using the mouse or press Ctrl+A.

  4. Join all the files using the corresponding button on the toolbar.

  5. Press "Generation" button to create files:

Montage:

Using this method it is possible to specify parameters of file join more precisely, for example, you can edit an order of joining. If you use a quick way, you can also edit joining in the "Montage" tab.
  1. In the "Workspace" click an output file format which you want to use to save a sequence of files.

  2. Open the "Montage" tab.

    Using the corresponding button on the toolbar add files for joining:

    Within the appeared window you can select files for joining using "From Local File" option or add earlier added files using "From Exist Timelines" option.

  3. After you click "Ok" button the "Montage" area is opened. It displays a schema of files joining.

    Each video file has a position according to the order of adding. Click on a file and using drag&drop move to another position.

    You can specify a time range if you want to join only a part of a file:

  4. Press "Generation" button to create files:


Join several graphic files into a single video file

VideoCharge Studio allows you to join a sequence of graphic files into a video file and add an audio file to create an audio stream in the given video file.

How to join several graphic files into a video file?
  1. In the "Workspace" click an output file format which you want to use to save a sequence of files. It should be a video format such as AVI, MPEG, etc. Do not use "Without re-Encoding" or "Original Format File" formats.

  2. Open the "Montage" tab.

    Using the corresponding button on the toolbar add files for joining:

    Within the appeared window you can select files for joining using "From Local File" option.

  3. Set display time for each graphic file. For that select "Overwrite Duration" option and type time of frame displaying in the "Duration" field.

  4. In order to add a sound to a new video file, select an audio file. In the Audio tab of the Montage window you can see the added audio file. In case of necessary you can correct duration of the audio.

  5. Press "Generation" button to create files:


Add background music to the video file or change existed audio stream.

VideoCharge Studio allows you to change a sound of a video file: to create video without a sound, change original sound of the video, overlay original sound with a new one, for example, for creating background music.

How to create video without sound?

In order to create video without sound, do the following:
  1. In the "Workspace" click an output file format which you want to use to save a video without audio.

  2. Make a double click on the video format and within the appeared window select "System" tab.

  3. Do not select "Include audio stream" option.

How to change original sound of a video file?
  1. In the "Workspace" click an output file format which you want to use to save a video.

  2. Add a video file and select it in the tree.

  3. Select Montage tab of the main window.

  4. If your video file already has a sound, you need to delete it. In order to do that, select an audio stream in the Montage window:

    Click Del to delete the audio stream or click on the eye icon to hide it:

  5. Add an audio file using the corresponding button on the toolbar:

    Within the appeared window specify a path to the audio file.

  6. In the montage window you will see the added audio file. You can move it to a necessary position, specify its duration and timeline.

  7. Press "Generation" button to create files:

How to overlay an origin sound with a new audio file?

If you want to overlay an origin sound of a video file with another audio file, you should do the following:
  1. In the "Workspace" click an output file format which you want to use to save a video.

  2. Add a video file and select it in the tree.

  3. Select Montage tab of the main window.

  4. Add an audio file using the corresponding button on the toolbar:

    Within the appeared window specify a path to the audio file.

  5. In the montage window you will see the added audio file. You can move it to a necessary position, specify its duration and timeline.

  6. By default, volume level of the added audio file and origin sound is equal. Use a special effect if you want to change the volume level. For that click the button on the toolbar:

    Within the appeared window select "to Audio" option.

    Specify parameters of the effect:
    • Volume Dynamic Change:
      It is used to increase/decrease sound strength.

    • Constant Volume:
      It is used to vary sound level.

    After you specify effect's parameters you should do the following:
    1. Specify an audio stream the effect should be applied to. For that select the effect in the Montage window.

      and select a pictogram for all streams you want to apply selected effect to.

    2. Specify duration of effect application. If the audio file should be used as a background sound, use the mouse to scale the effect to the video size.

  7. Press "Generation" button to create files:


Apply switches between scenes upon joining video files

Upon joining video files, sometimes you need to create more complex switches between scenes than use usual begin of a new scene after the previous one is over.

VideoCharge Studio includes a range of effects that allows user to create switches between scenes.

How to create a switch between scenes?
  1. In order to create a switch between scenes, you need to add initial video files and join them. Read here how to do that.

  2. Add an effect of switching using the button on the toolbar.

    Within the appeared window select "to Video" option.

  3. Select "Alpha Transition" switch and click Ok.

  4. The effect will be added to the cursor position. You should do the following:
    1. Move effect to a place of the timeline when the effect should be applied.

    2. The beginning of the second scene should be shifted as it is shown on the picture below.

      It will inform the effect what scenes should be joined.

    3. Specify duration of the effect so its activity ends at the end of the second scene.

    4. If selected effect should not be applied to all selected scenes, select the effect and click on clip pictogram.

  5. Press "Generation" button to create files:


Embed video titles or a simple image to a video file

Sometimes for advertising purpose it is necessary to add a video clip or a graphic file to the beginning or the end of the video file. VideoCharge Studio allows you to do that using video montage: you can embed any video clip or graphic file to any place of the video file. Besides, you can process several files simultaneously.

How to embed a video clip or image to a video file or a sequence of video files?
  1. In the "Workspace" click an output file format.

  2. Add a video file for processing. Select the file in the Workspace tree.

  3. Open the "Montage" tab.

  4. Using the button on the toolbar select a file you want to embed into a video file.

    If you want to embed a graphic file, specify Duration parameter: time of video display.

  5. After the adding, the file appears in the Montage window.

  6. Move initial video file so as it and the added file do not intercross. For example, if you want to add a video clip to the beginning of the video file:

    or to the end:

  7. Press "Generation" button to create files:


Cut scenes out of the video file

VideoCharge Studio allows you to cut scene or scenes out of a video file.

How to cut a scene out of a video file?

In order to cut a scene out of a video file you should do the following:
  1. In the "Workspace" click an output file format which you want to use to save the result.

  2. Add an initial video file. Select the file in the tree.

  3. Open the Montage tab of the main window.

  4. Move the cursor to the beginning of the scene you want to cut out:

  5. Using the button on the toolbar split the selected scenes into two parts.

  6. Move the cursor to the end of the scene you want to cut out and repeat step 5.

  7. Select the scene and delete it.

  8. Unit the rest parts of the deleted scene.

  9. Press "Generation" button to create files:


Resize of image or video

VideoCharge Studio includes a wide range of instruments resize of image or video files.

Resize

Resize operation changes image size from original to custom one. VideoCharge Studio supports two methods of setting new size for image or video.
  • Absolute size
    The size is set absolutely as WIDTH x HEIGHT, where WIDTH is a new width of image or frame and HEIGHT is new height of image or frame. While processing several files, all new files will have strongly defined width and height.

  • Relative size
    A new size is set relative to original size of processing file as PERSENT%, where PERSENT sets a rate of original image which will be used. This value is 100% by default. It means that width and height of a new video or graphic file will be unchanged.

How to set resize?

In order to set resize type, select a format in "Workspace" and make a double click on it to open a dialog window of options.

Within the appeared window select "Resize Tab".

From Resize list you can select one of the predefined sizes or set an absolute size manually in "Custom size in pixels". If you select "Relative to source image", you can set percent value of size in field of "Factor" parameter.

Resize algorithms.

VideoCharge Studio supports the following resize algorithms:
  1. Nearest.
    This is the quickest resize method. It uses only one dot to calculate color of a pixel. This algorithm can be use for small size change or when time of processing is critical.

  2. Bilinear.
    This resize method has medium quality. It uses four dots to calculate color of a pixel. It has good enough result and speed at small or medium resize change.

  3. Bicubic.
    This is a good resize method. It uses 16 dots to calculate color of a pixel. The method gives a good enough result at medium or large resize change.

  4. Lanczcos 3.
    This method is better than all previous ones. It uses 16 dots to calculate color of a pixel. It gives perfect result at medium or large resize change.

  5. Hann.
    It is similar to Lanczcos 3 but a bit slower.

  6. Lanczcos 8.
    This is the best method of resize. It uses 32 dots to calculate color of a pixel. It gives perfect result at large resize change. The method works too slowly.

Depending on task you want to solve, you can choose one of the resize methods described above

How to set resize algorithm?

Select resize method from "Resampling" list.

Resize types

VideoCharge Studio supports several types of resize.
  1. Stretch.
    This type of resize doesn't keep original proportions.

    Example.
    Original image (300x164) is on the left, the same image after application of stretch resize (240x164) is on the right.

  2. Preserve aspect ratio.
    This type of resize keeps original proportions of an image. After preserve aspect ratio resize the system creates a letter-box (empty spaces of image are filled out with black color to compensate original proportions).

    Example.
    Original image (300x164) is on the left, the same image after application of preserve aspect ratio resize (240x164) is on the right.

  3. Crop.
    This type of resize keeps original proportions of an image by application of crop. If initial size of image is bigger than specified one, image will be edged. If initial size of image is less than specified one, letter-box will be created.

    Example.
    Original image (300x164) is on the left, the same image after application of crop resize (240x164) is on the right.

  4. Preserve aspect ratio, no Letter-box.
    This type or resize keeps original proportions of an image. If there are some empty spaces, letter-box will not be created but some parts of image can be deleted to compensate image proportions.

    Example.
    Original image (300x164) is on the left, the same image after application of Preserve aspect ratio, no Letter-box resize (240x164) is on the right.

How to set resize type?

You can select necessary resize type value from "Resize Type" list.

Additional resize parameters

VideoCharge Studio includes a set of additional image resize parameters.
  1. Create letter-box
    This parameter is available only if you select "Preserve aspect ratio" resize type. It means that letter-box will be created (see Preserve aspect ratio). If this parameter is not checked, output size of image will be corrected to avoid creation of letter-box.

  2. Litter-box Color
    This parameter is available only if you select "Preserve aspect ratio" or "Crop" resize type. It allows you to specify color of letter-box.

  3. Aspect Ratio
    This parameter sets type of work with Aspect ration of processed file (see Aspect Ratio). It can have one of the following values:
    1. Keep original
      It uses Aspect Ratio of original file.

    2. 1 x 1
      It ignores Aspect Ratio of original file. While file creating, the system uses only width and height values specified for Resize parameter.

    3. 4 x 3
      It ignores Aspect Ratio of original file. While file creating, the system uses Aspect Ration 4 x 3.

    4. 16 x 9
      It ignores Aspect Ratio of original file. While file creating, the system uses Aspect Ration 16 x 9.

    5. 2.12 x 1
      It ignores Aspect Ratio of original file. While file creating, the system uses Aspect Ration 2.12x 1

    More...

  4. Save Original Ratio
    This parameter which allows user to quickly set necessary video size avoiding change of its ratio.

    For example, if you select this parameter, you can set height of the video while width of the video frame will be calculated automatically including aspect ratio of the processed file.


Aspect Ratio

VideoCharge Studio supports work with Aspect Ratio.

What is Aspect Ratio?

Aspect Ratio is the information saved in video file header which is used by player for correct (keeping necessary ratio) demonstration of the video file.

What is Aspect Ratio for?

Basically Aspect Ratio is used to create video files of MPEG-1, MPEG-2 and WMV formats.

Aspect Ratio is used to get more quality video avoiding increasing of video file size. While video coding, the main characteristic of video compressing is a frame size. The bigger video frame, the bigger its size for fixed quality, and vise versa, if the frame size is fixed, video quality will be worse for frames with high resolution.

With the help of Aspect Ratio settings, you can code a video file with lower resolution (by compressing original video). In this case video player will present the video file in necessary ratio. Therefore applying Aspect Ratio you can extremely improve the quality of your video file.

Example

Original video file

Set video resolution to get the same size for width and height. You will see:

If you use Aspect Ratio- 4 x 3, while playing you will see the following:

As you can see, the result is similar to the original file.

As the video with less resolution can be compressed with better quality, therefore applying Aspect Ratio you will get the video of higher quality!

How to set Aspect Ratio?

In order to set Aspect Ratio parameter, select a format in "Workspace Tree" and make a double click on "Video File" it to open a dialog window of options.

In the appeared window select "Resize".

In "Resize" select necessary value of Aspect Ratio which could be one of the following:
  1. Keep original
    It uses Aspect Ratio of the original file. In order to see whether the file has Aspect Ratio, select the video file in "Workspace Tree" by clicking on it. If Aspect Ratio is defined you will see it in "Properties Window".

    In the given example, file's Aspect Ratio is 4 x 3.

  2. 1 x 1
    The application ignores Aspect Ratio of the original file and uses width and height of Resize parameter for file creation.

  3. 4 x 3
    The application ignores Aspect Ratio of the original file and uses Aspect Ratio 4 x 3 for file creation.

  4. 16 x 9
    The application ignores Aspect Ratio of the original file and uses Aspect Ratio 16 x 9 for file creation.

  5. 2.12 x 1
    The application ignores Aspect Ratio of the original file and uses Aspect Ration 2.12 x 1 for file creation.


CROP

VideoCharge Studio allows you to use CROP while working with video and graphic files.

What is CROP?

CROP is cutting off the sides of an image or video frame and creating a graphic or video file on its base.

Example:

Below there is an original image before CROP.

This is the image after CROP.

How to use CROP?

In order to apply CROP to an image, add video or image file(s) you want to process (you can use menu command "File->Add Files").

Within the main window select "Filters Windows".

You can see all files which will be created applying VideoCharge Studio.

Select one file, if there is a list of them.

Make a click on that part of an image which you want to cut off. You can also drag marks of CROP rectangle to set cut area.

If you want to save original ratio of a file, press and hold SHIFT button while setting CROP.

In order to undo all CROP settings, press "Esc".

How to apply CROP to all elements at once

If you work with several files or use SPLIT, you will need to apply CROP to all elements at once. In order to avoid setting CROP for each element, assign "To All" value for "Apply Changes" parameter and set necessary CROP.

Selected CROP will be applied to all elements.

How to apply CROP only to selected element.

In order to apply CROP only to selected element, assign "To selected element" value for "Apply Changes" parameter and set necessary CROP.

Other ways of applying CROP.

You can also set CROP for all elements of the current file. Select "For selected File only" for "Apply Changes" parameter and set necessary CROP.

CROP can be applied to the current element and all elements after this one in the list. Assign "To selected element and below" value for "Apply Changes" parameter and set necessary CROP.


Correct image colors

It is not so rare when an initial video file has some kind of quality that you want to improve a little or simply change. In order to improve quality of a video frame or graphic file, use filters. They can help to change colors, contrast, gamma, and so on.

VideoCharge Studio has a wide range of filters for correction of video or graphic files.

How to apply filters?

In order to apply filters to your video or graphic file you need do the following:
  1. In the "Workspace" select an output format for files which will be created applying image correction.

  2. Add initial video or graphic files using the button on the toolbar.

  3. In the "Workspace" select any of the added files and open Filters tab of the main window.

  4. There are two control elements to apply filters: low control -"CROP and Color Correction" and Filter tabs in the "Properties". You can do the following:
    1. Specify Brightness, Contrast, Gamma.

      For that open Common tab and change position of the slider bar until you get a necessary value or type it manually.

    2. Specify Level

      Open Level tab and change position of the slider bar until you get a necessary value or type it manually.

    3. Specify Color Balance.

      Open Color Balance tab and change position of the slider bar until you get a necessary value or type it manually.

    4. Specify mixing of RGB: original colors will be changed into colors corresponding to values set for RGB schema.

      Open RGB tab and change position of the slider bar until you get a necessary value or type it manually.

    5. Specify YUV mixing: original colors will be changed into colors corresponding to values set for YUV schema.

      Open YUV tab and change position of the slider bar until you get a necessary value or type it manually.

    6. Specify HSL mixing: original colors will be changed into colors corresponding to values set for HSL schema.

      Open HSL tab and change position of the slider bar until you get a necessary value or type it manually.

    7. Specify CMYK mixing: original colors will be changed into colors corresponding to values set for CMYK schema.

      Open CMYK tab and change position of the slider bar until you get a necessary value or type it manually.

    8. Specify LMS mixing: original colors will be changed into colors corresponding to values set for LMS schema.

      Open LMS tab and change position of the slider bar until you get a necessary value or type it manually.

    9. If you want to apply the algorithm of automatic calculation of the necessary Level, select Auto Color Level in the "Properties".

    10. If you want to apply the algorithm of automatic calculation of the necessary Contrast, select Auto Contrast in the "Properties".

    11. If you want to enhance colors, select Enhance Color value in the "Properties".

    12. If you want to enhance image sharpness, select Sharpen value in the "Properties".

    13. If you want to blur an image, select Soften value in the "Properties".

    14. If you want to convert your image to grayscale, select Grayscale in the "Properties".

    15. If you want to create an image negative, select Negative in the "Properties".

    16. If you want to delete Interlace effect for a video, select de-Interlace "Properties".

  5. Press "Generation" button to create files:


de-Interlace Video

VideoCharge Studio solves the problem of de-Interlace video while working with DVD or MPEG-2 video formats.

What is de-Interlace?

While using DVD, MPEG-2, SVCD, VCD formats, video can be coded with account of Interlace. During your work with such video, you can see "mouth teeth" effect, as shown on the picture below:

The problem solution is applying De-Interlace filter.

On the picture above there is the original screen after de-Interlace filter application.

How to use de-Interlace filter?

In order to use de-Interlace filter, add video file(s) which you want to process:

In the main window select "Filters Window".

Within "Filters Window" you can see all video files which will be created applying VideoCharge Studio.

Select a video file for processing if there is more than one file.

In the window of options check de-Interlace filter checkbox or following menu Filters->de-Interlace".

You can also apply changes for one element or a group of elements. For more information read here.


Blur some part of the image or apply pixelization

If you want to hide some details on a frame or graphic file, it is possible to blur a certain area of an image, use pixelization, or overlay an area with a black-box.

VideoCharge Studio allows you to blur a necessary image area, add pixelization or draw a black-box (see here). At the same time, it is possible to set timeline for a video file: time when a certain image area should be blurred, or pixelization or a black-box should be applied. Blur area can move while video file is playing.

How to blur area or apply pixelization?
  1. In the "Workspace" select an output format.

  2. Add initial video or graphic files using the button on the toolbar.

  3. In the "Workspace" select any of the added files and open Watermark tab of the main window.

  4. Add Blur object using the button on the toolbar:

  5. Specify a position of the Blur object by moving it to a necessary place on the screen.

    Use drag&drop to move the Blur object.

  6. Specify necessary properties in the "Properties":
    • Type
      This parameter has two values:
      • Blur - an area will be blurred.
        Strength parameter sets strength of blur.

      • Pixelate: Mosaic - pixelization will be applied.
        Cell parameter sets a cell size.

    • To set Timeline see see here

    • To record object movement see here

  7. Press "Generation" button to create files:


Delete artifacts from the video file

In order to delete some fragments form a video file, it could be enough to use method of compensation of image pixels by neighbor pixels. This method is effective enough when it is necessary to delete not large artifacts.

VideoCharge Studio allows you to delete objects from video files using method of compensation of image pixels by neighbor pixels.

How to delete artifact from video file?
  1. In the "Workspace" select an output format.

  2. Add initial video or graphic files using the button on the toolbar.

  3. In the "Workspace" select any of the added files and open Watermark tab of the main window.

  4. Add Eraser object using the button on the toolbar:

  5. Set Eraser position by move it to a necessary place on the screen:

  6. Specify properties in the "Properties":

    Mask parameter has the following values:
    • Preprocessing (for video only).
      This parameter allows you to select object outline, you want to delete, as precise as possible. Before creating video, the program performs a verification of all video frames to precisely calculate an outline of a static object. "Time Cell" parameter allows you to set options of verification: for all frames - select All Video, for the first fragment only - select Custom Time.

    • Color.
      If an artifact has a solid color, you can specify this color for calculation of outline of the object you want to delete. Tolerance parameter sets a width of color range which is the nearest to the selected color and can be used to determine the outline.

    • No Mask.
      This is the simplest and quickest method when mask is not used but an outline is the Eraser object size. In this case for better work it is necessary to fit the Eraser object size as precise as possible to the size of the object you want to delete.

  7. Press "Generation" button to create files:


Create WEB sites on the base of your HTML Template and graphic/video files

Before publishing your video file in the Internet it should be properly prepared: convert your file into a necessary format, e.g. into FLV; create thumbnail for your video file using any frame from the video and create an HTML page to view the video.

VideoCharge Studio allows you to convert a video file into a necessary format, create thumbnails to the video, and also generate HTML pages to view video in the Internet. Upon that all operations can be done for one generation. It allows users to automate WEB site creating process.

VideoCharge Studio work principle is to create an HTML page for each created video file.

Each HTML page is created on the base of an HTML template: a usual HTML file with embedded HTML blocks which will be changed into a code of video or thumbnails preview.

It is also possible to use additional variables to create more complex WEB sites.

How to create WEB site to view video file?

In order to create a WEB site, you should do the following:
  1. Add an output image format (if it is not added): you can use the following menu command:

    See also Creation of graphic files.

  2. Add an output video format (if it is not added): you can use the following menu command:

    If a necessary format is already added, select it in the tree and double click on it.

    Within the opened window select an output format.

    Depending on how you plan to play video in the Internet, you need to use one or another format. For example, if you want to view video in the Flash player, you need to select "FLV, Flash Video":

    See also Creation of video files.

  3. In order to generate HTML pages, double click on the Web element in the "Workspace".

    Within the appeared window select "Generate HTML" parameter.

  4. In order to add an output HTML page use the following menu.

    Within the appeared window open HTML tab:

  5. Specify a path to an HTML template:

    You can use any HTML file as a template. This parameter is not obligatory. If the specified page can't be found or you want to use a default value, an empty HTML page will be created.

    You can edit a template page by click EDIT button.

    After that a text editor will be opened to edit selected HTML page. Notepad editor is used by default. It is possible to redefine default editor following Options\Preferences menu command:

  6. Add elements which should be embedded into an HTML page. In order to add a video, click "Add Video":

    Within the appeared window specify parameters of an HTML element:
    • Select a graphic format to create Thumbnails:

      You can add a new format or edit an existed one by click Edit button.

      The selected graphic format will be used to create Thumbnails which will be displayed on the HTML page.

    • Select how it will be possible to view your video in the Internet. Set "Method of video viewing in" parameter:

      Videocharge Studio includes two types of video viewing: a simple type, when a link to a video file is created and embedded into an HTML page. Click on this link will let you to download the file or view it in a video player installed on your PC. Second type: use FLASH player to view a video file.

    • Select a video format to create video files:

      You can add a new format or edit an existed one by click Edit button.

      Selected format will be used to create a video which will be displayed on the HTML page.
      If you have selected FLASH player for video viewing, you should use FLASH output format.

    • Select how many video file should be displayed on one HTML page:

      It should be a fixed number: for example, 1 means that an HTML page will be created for each added element.

      Another way, all created files can be displayed on one page: select All Items option and only one HTML page will be created.

  7. After adding an HTML element you can see the added element in the list of page elements:

    If it is necessary, it is possible to add a new element, delete or edit an existed one.

  8. After element is added, VideoCharge Studio blocks are added into the HTML template:

    These blocks are added at the end of the HTML template if it exists. You should edit the HTML template: move generated VideoCharge Studio blocks to necessary places within the HTML file.

    In order to edit an HTML template, click Edit or use any other ways.

    Click Preview button to view a preliminary result.

  9. Set a path and directory to save HTML pages. For more details, see here.

  10. If a design of your HTML page depends on additional external files, such as style files, graphic files, etc. you can add them in Files tab.

    All added files will be copied to a directory where all HTML pages will be saved to.

  11. Add video files you want to publish in the Internet:

  12. Click on one of the added files. Within the Preview window you can see the files which will be created:

    You can delete unnecessary fragments, see here, or add new ones.

    In the created HTML page, an order of files displaying will corresponds to the order of files displayed in the "Preview". You can change this order by drag&drop the elements

  13. All created files can be uploaded on your remote WEB server. See "FTP".

  14. Press "Generation" button to create files:


Create index pages for video galleries

An index page is an HTML page which contains links to all created HTML pages with preview of certain video fragments.

In order to create an index page, create standard pages for video viewing as it is described here.

After that:
  1. Add a new page, use the following menu command:

  2. Set a path to an HTML Template.

  3. Click Add Image:

    Within the appeared window select a graphic format to create a graphic file click on which will redirect user to a corresponding page.

    Select "Create redirect to page by click on the image" option.

    Select a page you want to create a redirect to from the drop-down list.

  4. If you want the page displays all created files, specify "The number of elements on the page" option as All Items:

    Only one index page will be generated for all created video files.

  5. Press "Generation" button to create files:


Preliminary view video files and distribution them and their Thumbnails among groups

While creating WEB galleries: HTML pages displaying a set of video or graphic files, it is important to have an ability to specify an order of elements positions on the page.

VideoCharge Studio includes a mechanism for setting an order of displaying video or graphic files on the HTML page.

In order to set an order of displaying, do the following:
  • Add necessary video or graphic files using a corresponding button on the toolbar:

  • Select any added file. All files will be displayed in the Preview window.

    Within the Preview window you can do the following:
    • Delete a video by press Delete key.

    • Add a new video using COPY/PASTE or a corresponding button on the toolbar:

    • Apply sorting.

    • Put an element to a necessary position. To do so, select a necessary element and using drag&drop move it to another place.

    • You can add an empty element (Empty Box) which will be missed upon generation. It is useful when you want to display on the page less number of elements than the application generates automatically.

  • You can also group elements.

    In order to group elements, select output format in the "Worksapce".

    Within the appeared window open Main tab and select "Group elements". Set a number value to define how many elements should be in every group.

    After you selected "Group elements" all created files of this format will be automatically distributed among directories named as 001 for the first group, 002 for the second group, etc. If you want to avoid the distribution, select Output Dir and File Name tab and delete %g variable from Filename pattern parameter.


FTP Supporting

VideoCharge Studio allows you to upload all created files on FTP server.

How to configure FTP?

In order to upload created files on FTP server, you need to do the following:
  1. Double click on "Project" element in "Workspace"

  2. Within the appeared window select "FTP".

  3. Check "Enable FTP upload" checkbox and set parameters for FTP server connection.


Review of files that are being created

After adding files, you want to process, and setting all parameters of generation, VideoCharge Studio displays all files which will be created in "Preview".

The given window can display both video files that are being created, if a video format is selected in "Workspace" and images, if a graphic format is selected in "Workspace" tree. The most of the operations described below can be applied both to video and images.

Images.

Video.

"Preview" is editor for created files and allows you to do the following:
  1. To delete bad fragments
    When you use Split Video, you can have some number of bad fragments. To avoid generation of those fragments you can delete them. In order to delete bad fragments, select the elements by clicking on them and press Delete button (or use a corresponding button on the toolbar for deleting).

  2. To create additional fragments or Images (thumbnails)
    You can create any number of additional elements, for example, fragments (Timeline) or thumbnails using Copy, Cut and Past commands.

  3. To rearrange files
    In case of creating video or graphic gallery, sequence order of elements can be important. That is why "Preview" allows you to rearrange the sequence of elements in easy way. Simply click on the element and drag it to a new position.

  4. To specify more exact frame for Thumbnails
    All created Thumbnails will be displayed in "Preview" while selecting an image format in "Workspace". You can redefine a frame which will be the base for Thumbnails by make a double click on the frame sequence in the bottom of the screen.

    You can also increase or decrease zoom of frames sequence applying Zoomer control.

  5. To specify more exact boundaries for video fragment
    While splitting file into parts (see Split) you can change the boundaries of a fragment which were defined automatically. If you select a video format in "Workspace", "Preview" will display all video fragments which will be created.

    You can change default boundaries by clicking on a necessary element and dragging its boundaries in "Timeline Window" on the bottom of the screen.

    At the same time, the first and last frames of fragment will be showed for more obvious visualization of specified range.

Application of changes.

When you create files of different types (for example, several video files or a video file and Thumbnails for it) sometimes you need to apply changes, added in "Preview", to all formats or only one selected from them.

For example, you create a video and Thumbnails for it. One of the video files does not suit you and you want to delete it so as this fragment will be deleted from the rest of formats as well.
Another example, while changing a frame for Thumbnails, you want to leave it unchanged for the rest Thumbnails.

There are many of similar situations, and the way to solve such problems is "Set change mode" property.

This property can take one of the following values:
  1. All formats
    The changes will be applied to all formats equally.

  2. Selected format
    The changes will be applied only to format which is currently selected.

  3. Modify Time only
    Operation of addition and deletion will be applied to all formats. Operation of setting frame for Thumbnails, changing boundaries of a video fragment will be applied to format of currently selected element.


Working with VideoCharge Studio via command-line interpreter

VideoCharge Studio allows you to run file generation process in command-line interpreter.

To work in command-line interpreter you need to do the following:
  1. Run VideoCharge Studio, customize all necessary settings for video coding, Thumbnails creation, etc.

  2. Save configuration file by selecting menu File->Save. A file with .VSC extension will be created, e.g. MyConfig.vsc

  3. Applying a command-line interpreter (or in a batch file - a file with .BAT extension) type the following command:

    vcstudio.exe /c MyConfig.vsc
This command runs VideoCharge Studio for generation files according to MyConfig.vsc. configuration file.

In order to set files, you want to process, use the following command:
  1. vcstudio.exe /c MyConfig.vsc /f c:\1.avi /f 2.avi
where parameter /f c:\1.avi is a path to file you want to process.

In order to process a directory with files, use the following command:
  1. vcstudio.exe /c MyConfig.vsc /d c:\movie\*.avi
where parameter /d c:\movie\*.avi is a path to the directory with files you want to process. If you need to filter files, use different file name masks or use *.* to process all files.

To process DVD, enter the following command:
  1. vcstudio.exe /c MyConfig.vsc /dvd c:\myDVD\
where parameter /dvd D:\ is a path to a directory with DVD content or a path to your DVD-ROM.

To set directories where all newly created files will be saved to, use parameter /o, for example:
  1. vcstudio.exe /c MyConfig.vsc /f c:\1.avi /o c:\out_dir
In this case, all creating files will be saved to c:\out_dir directory, if the absolute path wasn't predefined in the configuration file.

To set a path to a log file, use parameter /l, for example:
  1. vcstudio.exe /c MyConfig.vsc /f c:\1.avi /l c:\log.txt
A file named c:\log.txt will contain information about newly created files, errors, etc.

To join video files, use parameter /j, for example:
  1. vcstudio.exe /c MyConfig.vsc /j /f c:\1.avi /f c:\2.avi /f c:\3.avi
To get help, use the following command
  1. vcstudio.exe /?


Feedback and Support

If you experience any problems with the use of VideoCharge Studio, feel free to contact our Support Team by e-mail:

support@videocharge.com

In the letter, try to describe the issue as minutely as possible. At least please answer the following questions:

  • What specifically happened?
  • Which version of VideoCharge Studio do you use?
  • What operating system do you run VideoCharge Studio on?

We'll respond to you as soon as possible (generally within 24 hours) and try to fix the issue. Also please write to us if you have any questions or requests relating to our program.

On our site you can express your opinion regarding VideoCharge Studio and evaluate it:

http://www.videocharge.com/feedback.php

Also you can find answers to the most frequently asked questions that appear during use of the program:

http://www.videocharge.com/faq.php

This section is being updated continuously. If you can't find the answer to your question there, you may ask us your own question:

http://www.videocharge.com/faq_question.php


The Best frame automatic search

While creating Thumbnails from a video file VideoCharge Studio allows you to set a mode of the best frame search from a specified range.

What is the best frame?

We understand "the best frame" as the most contrast image selected from a sequence of frames. Actually analyzing a frame sequence of any video file you can find out that the difference between frames is minimal. Automatic search of the best frame selects the most contrast image from a set of similar frames. That doesn't guaranty that you really get the best frame (you can select the best frame only by yourself), but for the automatic frame selection, you will get the best choice.

How to set the best frame automatic search?

In order to set automatic search, you need to open options of Image creation. To do so, find a necessary Image in "Workspace", and make a double click on it.

Within the appeared window select "Format" tab and set "Automatic (search best frame)" option.

You also need to set "Maximum number of compared" value that defines the number of frames for comparing. The value should not be too big, otherwise you will not get a frame from the necessary fragment of video file.

Attention:

The best frame automatic search is valid only for frames which were not redefined. If you redefine frame time for any creating Thumbnails in "Preview", automatic search algorithm will not be applied for it.